Anonymous avatar Anonymous committed f5a6c72

package standards update, lookup-1.0

Comments (0)

Files changed (63)

-NISHIDA Keisuke <knishida@ring.aist.go.jp> wrote
+Keisuke Nishida <kei@psn.net> wrote
 most of program files and documents.
 
 Tsuchiya Masatoshi <tsuchiya@pine.kuee.kyoto-u.ac.jp> wrote
-lisp/stem-english.el.
+lisp/sdicf.el and lisp/stem-english.el.
+1999-05-05  Satoru Takabayashi <satoru-t@is.aist-nara.ac.jp>
+
+	* Makefile.am: Modify EXTRA_DIST entries
+	* etc/Makefile.{am,in}: Remove files.
+	
+1999-04-28  Keisuke Mori  <ksk@ntts.com>
+
+	* VERSION: New file. every file that needs the version number of
+	Lookup should consult this file.
+
+	* configure.in: Get the version number from 'VERSION' file.
+
+	* install.el: Get the version number from 'VERSION' file.
+	Info files are installed with being formatted if the pre-formatted
+	Info file has not been presented.
+
+1999-02-13  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* README.W32: Remove file.
+
+1999-02-12  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* install.el: New file.
+
 1999-01-23  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
 
 	* Use autoconf-2.13 and automake-1.4.
 ===========================
 
 $B$3$N%U%!%$%k$G$O(B Lookup $B$r%$%s%9%H!<%k$9$k$?$a$N<j=g$K$D$$$F@bL@$7$^$9!#(B
-configure $B$KBP$9$k40A4$J%*%W%7%g%s!"5Z$S(B make $B$r;H$o$:$K<j:n6H$G%U%!%$%k(B
-$B$r%$%s%9%H!<%k$9$k$?$a$N<j=g$K$D$$$F@bL@$7$^$9!#(B
+$BA0H>$G$O(B configure $B$rMQ$$$?0lHLE*$J%$%s%9%H!<%kJ}K!$K$D$$$F@bL@$7!"8eH>(B
+$B$G$O<j:n6H$G$N%$%s%9%H!<%kJ}K!$K$D$$$F@bL@$7$F$$$^$9!#(B
+
+Microsoft Windows $B$G(B Emacs $B$rMQ$$$F$$$k>l9g$G$b!"(BCygwin $B4D6-$rF3F~$7$F$$(B
+$B$l$P(B configure $B$rMQ$$$?%$%s%9%H!<%k$,2DG=$G$9!#$G$J$1$l$P8eH>$r;2>H$7$F!"(B
+$B<j:n6H$G%$%s%9%H!<%k$r9T$J$C$F2<$5$$!#(B
 
 configure $B$rMQ$$$?%$%s%9%H!<%k(B
 ------------------------------
 $B$?%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#(B
 
 
-$B4pK\E*$J%$%s%9%H!<%kJ}K!(B
-========================
-
-  $B0J2<$K5-$7$?$N$O!"0lHLE*$J%$%s%9%H!<%k$NJ}K!$G$9!#(B
-
-  `configure' $B%7%'%k%9%/%j%W%H$O!"%3%s%Q%$%kCf$K;HMQ$5$l$k!"%7%9%F%`0M(B
-$BB8$N%A%'%C%/9`L\$NCM$r@5$7$/?dDj$7$h$&$HEX$a$^$9!#(B`configure'$B$O!"H=Dj(B
-$B$7$?CM$rMxMQ$7$F%Q%C%1!<%8Cf$N3F%G%#%l%/%H%j$N(B `Makefile'$B$r@8@.$7$^$9!#(B 
-$B2C$($F!"%7%9%F%`$K0MB8$9$kDj5AFbMF$r5-$7$?(B `.h' $B%U%!%$%k$r0l$D$b$7$/$O(B
-$B$$$/$D$+@8@.$9$k$3$H$b$"$j$^$9!#:G8e$K!"(B`configure' $B$O(B `config.status' 
-$B$H$$$&%7%'%k%9%/%j%W%H(B `config.cache'$B!"(B`config.log' $B$H$$$&%U%!%$%k$r@8(B
-$B@.$7$^$9!#(B`config.status' $B$O!"8=:_$N%3%s%U%#%0%l!<%7%g%s$r8e$G:FEY@8@.(B
-$B$9$k$H$-$KMQ$$$^$9!#(B `config.cache'$B$O!":FEY%3%s%U%#%0%l!<%7%g%s$r9T$&(B
-$B$H$-$K%9%T!<%I%"%C%W$r?^$k$?$a$K!"%F%9%H$N7k2L$rJ]B8$7$F$"$j$^$9!#(B 
-`config.log' $B$K$O!"(B($B<g$K(B `configure' $B$N%G%P%C%0$KLrN)$D$h$&$J(B) $B%3%s%T%e!<(B
-$B%?$N=PNO$,5-O?$5$l$F$$$^$9!#(B
-
-  $B$"$J$?$,%Q%C%1!<%8$r%3%s%Q%$%k$9$k$K$"$?$C$F!"FCJL$J$3$H$r$7$J$1$l$P(B
-$B$J$i$J$+$C$?$H$-$O!"(B`configure' $B$,$I$N$h$&$JH=Dj$r$7$F$$$?$N$+$rD4$Y$F(B
-$B$_$F!"(B`README' $B$K5-$5$l$?%"%I%l%9$K08$F$F!"Aj0cE@$d;XE&$r%a!<%k$GAw$C(B
-$B$F2<$5$$!#(B $B$=$&$9$l$P!"<!2s$N%j%j!<%9$K8~$1$F8!F$$5$l$k$H;W$$$^$9!#$b(B
-$B$7!"(B`config.cache' $B$K8+$i$l$?$/$J$$7k2L$,5-O?$5$l$F$$$k>l9g$O!"$=$NIt(B
-$BJ,$r:o=|$7$?$jJT=8$7$?$j$7$F$b9=$$$^$;$s!#(B
-
-  `configure.in' $B$H$$$&%U%!%$%k$O!"(B`autoconf' $B$H$$$&%W%m%0%i%`$,(B
-`configure' $B$r@8@.$9$k$H$-$K;2>H$7$^$9!#(B $B$"$J$?$K$H$C$F(B `configure.in'
-$B$H$$$&%U%!%$%k$,I,MW$K$J$k$N$O!"(B `configure.in' $B$NFbMF$rJQ99$7$?$$>l9g(B
-$B$+!"(B`autoconf' $B$N$b$C$H?7$7$$%P!<%8%g%s$G(B `configure' $B$r@8@.$7$?$$>l9g(B
-$B$N!"$$$:$l$+$@$1$G$9!#(B
-
-$B%Q%C%1!<%8$N:G$bC1=c$J%3%s%Q%$%kJ}K!$O<!$NDL$j$G$9!#(B
-
-  1. $B%Q%C%1!<%8$N%=!<%9%3!<%I$,CV$+$l$F$$$k%G%#%l%/%H%j$K0\F0(B (`cd') 
-     $B$7!"(B $B$"$J$?$N%7%9%F%`8~$1$N%3%s%U%#%0%l!<%7%g%s$r9T$&$?$a$K(B
-     `./configure' $B$r<B9T$7$^$9!#(B $B$"$J$?$,8E$$%P!<%8%g%s$N(B System V $B$G(B
-     `csh' $B$r;HMQ$7$F$$$k>l9g$O!"(B`csh' $B<+?H$,%9%/%j%W%H$r<B9T$7$F$7$^(B
-     $B$o$J$$$h$&$K!"(B `sh. /configure' $B$H$9$kI,MW$,$"$k$+$bCN$l$^$;$s!#(B
-
-     `configure' $B$N<B9T$K$O>/!9;~4V$,$+$+$j$^$9!#(B
-
-     $B<B9T$7$F$$$k4V$O!"$I$N$h$&$J9`L\$r%A%'%C%/$7$F$$$k$N$+$r5-$7$?%a%C(B
-     $B%;!<%8$,=PNO$5$l$^$9!#(B
-
-  2. `make' $B$r<B9T$7$F%Q%C%1!<%8$r%3%s%Q%$%k$7$^$9!#(B
-
-  3. $BG$0U$G!"%Q%C%1!<%8$KIUB0$7$F$$$k%;%k%U%F%9%H$r<B9T$9$k>l9g$O!"(B
-     `make check' $B$r<B9T$7$^$9!#(B
-
-  4. `make install' $B$r<B9T$7$F!"%W%m%0%i%`$*$h$S%G!<%?%U%!%$%k!"%I%-%e(B
-     $B%a%s%H$r%$%s%9%H!<%k$7$^$9!#(B
-
-  5. `make clean' $B$r<B9T$9$k$H!"@8@.$5$l$?%W%m%0%i%`$N%P%$%J%j%U%!%$%k(B
-     $B$d%*%V%8%'%/%H%U%!%$%k$r!"%=!<%9%3!<%I$NCV$+$l$?%G%#%l%/%H%j$+$i(B
-     $B>C$9$3$H$,$G$-$^$9!#(B $B0l=o$K(B `configure' $B$,@8@.$7$?%U%!%$%k$b>C$9(B
-     $B$K$O(B ($B$3$&$9$k$3$H$G!"JL$N<oN`$N%3%s%T%e!<%?$G%Q%C%1!<%8$r%3%s%Q(B
-     $B%$%k$G$-$^$9(B)$B!"(B `make distclean' $B$r<B9T$7$^$9!#(B`make maintainer-
-     clean' $B$H$$$&%?!<%2%C%H$bMQ0U$5$l$F$$$^$9$,!"$3$l$O<g$K$=$N%Q%C%1!<(B
-     $B%8$N3+H/<T$N$?$a$N$b$N$G$9!#(B`make maintainer-clean' $B$r<B9T$7$F$7(B
-     $B$^$&$H!"%Q%C%1!<%8$K85!94^$^$l$F$$$?%U%!%$%k$r:F@8@.$9$k$?$a$K!"(B
-     $BB>$N$$$m$$$m$J%W%m%0%i%`$rF~<j$7$J$/$F$O$$$1$J$/$J$k$+$bCN$l$^$;(B
-     $B$s!#(B
-
-$B%3%s%Q%$%i$H%3%s%Q%$%k%*%W%7%g%s(B
-================================
-
-  $B%7%9%F%`$K$h$C$F$O!"(B`configure' $B%9%/%j%W%H$,M}2r$7$F$$$J$$!"%3%s%Q%$(B
-$B%k$d%j%s%/$N$?$a$NFCJL$J%*%W%7%g%s$rM?$($kI,MW$,$"$j$^$9!#4D6-JQ?t$rDL(B
-$B$7$F!"(B`configure' $B$KBP$7$F=i4|CM$rM?$($k$3$H$,$G$-$^$9!#(BBourne $B%7%'%k(B
-$B$H8_49@-$N$"$k%7%'%k$r;HMQ$7$F$$$k>l9g$O!"<!$N$h$&$K$7$^$9!#(B
-
-     CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure
-
-`env' $B$H$$$&%3%^%s%I$,%7%9%F%`$K$"$k$J$i$P!"<!$N$h$&$K$9$k$3$H$b$G$-$^(B
-$B$9!#(B
-
-     env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure
-
-$BJ#?t$N%"!<%-%F%/%A%c$G$N%$%s%9%H!<%k(B
-====================================
-
-  $B%*%V%8%'%/%H%U%!%$%k$r%"!<%-%F%/%A%cKh$KJL!9$N%G%#%l%/%H%j$KCV$/$h$&(B
-$B$K$9$k$3$H$K$h$j!"<oN`$N0[$J$kJ#?t$N%3%s%T%e!<%?$,!"%Q%C%1!<%8$rF1;~$K(B
-$B%3%s%Q%$%k$G$-$^$9!#(B $B$3$l$r9T$&$K$O!"(BGNU `make' $B$N$h$&$K!"(B`VPATH' $BJQ?t(B
-$B$KBP1~$7$?(B `make' $B$r;HMQ$9$kI,MW$,$"$j$^$9!#%*%V%8%'%/%H%U%!%$%k$d<B9T(B
-$B7A<0$N%U%!%$%k$rCV$$$F$*$-$?$$%G%#%l%/%H%j$K0\F0(B (`cd') $B$7$F!"$=$3$G(B
-`configure' $B%9%/%j%W%H$r<B9T$7$^$9!#(B `configure' $B$O!"<+?H$NB8:_$9$k%G%#(B
-$B%l%/%H%j$*$h$S(B `..' $B$K%=!<%9%3!<%I$,$"$k$+$I$&$+$r<+F0E*$KD4$Y$^$9!#(B
-
-  `VPATH' $BJQ?t$KBP1~$7$F$$$J$$(B `make' $B$r;HMQ$7$F$$$k>l9g$O!"%=!<%9%3!<(B
-$B%I%G%#%l%/%H%j$N2<$G!"0lEY$K0l$D$N%"!<%-%F%/%A%c$:$D%3%s%Q%$%k$7$F$$$/(B
-$B$7$+$"$j$^$;$s!#0l$D$N%"!<%-%F%/%A%c$N%3%s%Q%$%k$,=*$o$C$?$i!"JL$N%"!<(B
-$B%-%F%/%A%c$G%3%s%Q%$%k$9$k$?$a$K:F%3%s%U%#%0%l!<%7%g%s$r9T$&A0$K(B `make
-distclean' $B$r<B9T$7$F$/$@$5$$!#(B
-
-$B%$%s%9%H!<%kL>(B
-==============
-
-  $B%G%U%)%k%H$G$O!"(B`make install' $B$r<B9T$9$k$H!"%Q%C%1!<%8Cf$N%U%!%$%k(B
-$B$,(B `/usr/local/bin'$B!"(B`/usr/local/man' $B$J$I$K%$%s%9%H!<%k$5$l$^$9!#(B
-`configure' $B$KBP$7$F(B `--prefix=$B%Q%9(B' $B%*%W%7%g%s$r;XDj$9$k$3$H$G!"(B
-`/usr/local' $B0J30$N%$%s%9%H!<%k@h$r;XDj$9$k$H$,$G$-$^(B $B$^$9!#(B
-
-  $B%"!<%-%F%/%A%c$K0MB8$7$?%U%!%$%k$H$=$&$G$J$$%U%!%$%k$r!"$=$l$>$l0[$J$C(B
-$B$?%$%s%9%H!<%k@h$K%$%s%9%H!<%k$9$k$3$H$b2DG=$G$9!#(B `configure' $B$KBP$7(B
-$B$F(B `--exec-prefix=$B%Q%9(B' $B$r;XDj$9$k$H!"%W%m%0%i%`$d%i%$%V%i%j$J$I$N%$%s(B
-$B%9%H!<%k@h$,!V%Q%9!W$KJQ$o$j$^$9!#%I%-%e%a%s%H$d!"%G!<%?%U%!%$%k$J$I$O!"(B
-$BDL>o$N%$%s%9%H!<%k@h$K%$%s%9%H!<%k$5$l$^$9!#(B
-
-  $B2C$($F!"$"$J$?$,DL>o$H$O0[$J$C$?%G%#%l%/%H%j%l%$%"%&%H$r:NMQ$7$F$$$k(B
-$B>l9g$O!"(B`--bindir=$B%Q%9(B' $B$H$$$C$?%*%W%7%g%s$r;XDj$9$k$3$H$G!"FCDj$N<oN`(B
-$B$N%U%!%$%k$N%$%s%9%H!<%k@h$@$1$rJQ$($k$3$H$,$G$-$^$9!#(B `configure
---help' $B$r<B9T$9$k$H!"$I$N$h$&$J%G%#%l%/%H%j$rJQ99$G$-$k$N$+!"$I$N$h$&(B
-$B$J<oN`$N%U%!%$%k$,$I$N%G%#%l%/%H%j$K%$%s%9%H!<%k$5$l$k$N$+$,J,$+$j$^$9!#(B
-
-  $B%Q%C%1!<%8$,%5%]!<%H$7$F$$$k$J$i$P!"(B`configure' $B$K(B `--program-prefix=
-$B@\F,<-(B' $B$d(B `--program-suffix=$B@\Hx<-(B' $B$H$$$&%*%W%7%g%s$rM?$($k$3$H$G!"(B
-$B%$%s%9%H!<%k;~$K%W%m%0%i%`L>$K@\F,<-$d@\Hx<-$rIU2C$9$k$3$H$,$G$-$^$9!#(B
-
-$B<h<NA*Br$N2DG=$J5!G=(B
-====================
-
-  $B%Q%C%1!<%8$K$h$C$F$O!"(B`configure' $B$,(B `--enable-$B5!G=(B' $B%*%W%7%g%s$rG'(B
-$B<1$9$k$3$H$,$"$j$^$9!#$3$3$G!V5!G=!W$O!"%Q%C%1!<%8$K$*$$$F<h<NA*Br$N2D(B
-$BG=$J5!G=$rI=$7$^$9!#$^$?!"(B`--with-$B%Q%C%1!<%8(B' $B%*%W%7%g%s$rG'<1$9$k$3$H(B
-$B$b$"$j$^$9!#$3$3$G!V%Q%C%1!<%8!W$O!"(B`gnu-as' $B$d(B (X $B%&%#%s%I%&%7%9%F%`(B
-$B$N$?$a$N(B) `x' $B$H$$$C$?$b$N$G$9!#(B`README' $B%U%!%$%k$G$O!"$I$N$h$&$J(B 
-`--enable-'$B!"(B`--with-' $B%*%W%7%g%s$r%Q%C%1!<%8$,G'<1$9$k$N$+!"5-$7$F$*(B
-$B$/$Y$-$G$9!#(B
-
-  $B0lHL$K!"(BX $B%&%#%s%I%&%7%9%F%`$r;HMQ$7$F$$$k%Q%C%1!<%8$G$O!"(B
-`configure' $B$O(B X $B$N(B include $B%U%!%$%k$H%i%$%V%i%j%U%!%$%k$r<+F0E*$K8+$D(B
-$B$1=P$9$3$H$,$G$-$^$9$,!"8+$D$1$i$l$J$$>l9g$O!"(B`configure' $B$N%*%W%7%g%s(B
-`--x-includes=$B%G%#%l%/%H%j(B' $B$H(B `--x-libraries=$B%G%#%l%/%H%j(B' $B$rMQ$$$k$3(B
-$B$H$G%G%#%l%/%H%j$N0LCV(B $B$rL@<(E*$K;XDj$9$k$3$H$,$G$-$^$9!#(B
-
-$B%7%9%F%`$N<oN`$N;XDj(B
-====================
-
-  $B@_Dj9`L\$K$h$C$F$O!"(B`configure' $B$,<+F0E*$K<1JL$G$-$J$/$F$b!"%Q%C%1!<(B
-$B%8$,F0:n$9$k%[%9%H$N<oN`$r4p$K7hDj$7$J$1$l$P$J$i$J$$$H$-$b$"$j$^$9!#DL(B
-$B>o!"(B`configure' $B$O$=$N%[%9%H$N<oN`$r<1JL$9$k$3$H$,$G$-$^$9$,!"$b$7$b(B
-`configure' $B$,%[%9%H$N<oN`$r<1JL$G$-$J$$$H$$$&;]$N%a%C%;!<%8$r=PNO$7$F(B
-$B$-$?$H$-$O!"(B`--host=$B<oN`(B' $B%*%W%7%g%s$rM?$($F2<$5$$!#!V<oN`!W$O(B `sun4'
-$B$N$h$&$J%7%9%F%`$N<oN`$rI=$7$?C;$$L>A0$+!"$"$k$$$O<!$N$h$&$K(B 3 $B$D$N9`(B
-$B$+$i$J$k@5<0L>>N$N$$$:$l$+$G$9!#(B
-
-     CPU-$B<RL>(B-$B%7%9%F%`(B
-
-$B$=$l$>$l$N9`$K$I$N$h$&$JCM$,;XDj2DG=$J$N$+$K$D$$$F$O!"(B`config.sub' $B%U%!(B
-$B%$%k$r$4Mw2<$5$$!#(B $B%Q%C%1!<%8$,(B `config.sub' $B$r4^$s$G$$$J$$$N$G$"$l$P!"(B
-$B$=$N%Q%C%1!<%8$O%[%9%H$N<oN`$r<1JL$9$kI,MW$,$J$$$3$H$r0UL#$7$F$$$^$9!#(B
-
-$B$"$J$?$,%/%m%9%3%s%Q%$%k$N$?$a$N%3%s%Q%$%i%D!<%k$r%$%s%9%H!<%k$7$h$&$H(B
-$B$7$F$$$k>l9g$O!"(B`--target=$B<oN`(B' $B%*%W%7%g%s$r;HMQ$9$k$3$H$G!"$I$N%[%9%H(B
-$B8~$1$N%3!<%I$r@8@.$5$;$k$N$+$r;XDj$G$-$^$9!#$=$7$F!"(B`--build=$B<oN`(B' $B%*(B
-$B%W%7%g%s$r;HMQ$9$k$3$H$G!"%Q%C%1!<%8$r%3%s%Q%$%k$7$h$&$H$7$F$$$k%7%9%F(B
-$B%`$N<oN`$r;XDj$9$k$3$H$,$G$-$^$9!#(B
-
-$B%G%U%)%k%HCM$N6&M-(B
-==================
-
-  $BJ#?t$N(B `configure' $B%9%/%j%W%H$KBP$7$F6&DL$N%G%U%)%k%HCM$r@_Dj$7$?$$(B
-$B$H$-$O!"%5%$%HKh$K(B `config.site' $B$H$$$&%7%'%k%9%/%j%W%H$r:n@.$7!"$=$3(B
-$B$K(B `CC' $B$d(B `cache_file'$B!"(B`prefix' $B$H$$$C$?JQ?t$N%G%U%)%k%HCM$r5-=R$7$F(B
-$B2<$5$$!#(B `configure' $B$O(B `PREFIX/share/config.site' $B$,$"$l$P!"(B $B$=$l$rD4(B
-$B$Y!"<!$K(B `PREFIX/etc/config.site' $B$,$"$l$P$=$l$rD4$Y$^$9!#$"$k$$$O!"4D(B
-$B6-JQ?t(B `CONFIG_SITE' $B$r@_Dj$9$k$3$H$G!"%5%$%H8GM-$N%9%/%j%W%H$N0LCV$r(B
-$B;XDj$9$k$3$H$b$G$-$^$9!#(B $B$?$@$7!"$9$Y$F$N(B `configure' $B%9%/%j%W%H$,%5%$(B
-$B%H8GM-$N%9%/%j%W%H$r8+$K9T$/$o$1$G$O$"$j$^$;$s$N$G!"$4Cm0U2<$5$$!#(B
-
-`configure' $B$NF0:n$N@)8f(B
-========================
-
-  `configure' $B$O<!$K5-$7$?%*%W%7%g%s$rG'<1$7$^$9!#(B
-
-`--cache-file=$B%U%!%$%k(B'
-     $B%F%9%H$N7k2L$NFI$_9~$_$d=q$-=P$7$K;HMQ$9$k%U%!%$%k$O!"DL>o(B
-     `./config.cache' $B$G$9$,!"Be$o$j$K!V%U%!%$%k!W$rMQ$$$^$9!#(B
-     `configure' $B$r%G%P%C%0$9$k$H$-$O!"%U%!%$%k(B $B$K(B `/dev/null' $B$r;XDj(B
-     $B$9$k$3$H$G!"%-%c%C%7%e$rM^@)$9$k$3$H$,$G$-$^$9!#(B
-
-`--help'
-     `configure' $B$N%*%W%7%g%s$N0lMw$rI=<($7$F!"=*N;$7$^$9!#(B
-
-`--quiet'
-`--silent'
-`-q'
-     $B$I$N%A%'%C%/9`L\$r9T$C$F$$$k$N$+$r<($9%a%C%;!<%8$r=PNO$7$^$;$s!#(B
-     $BDL>o$N%a%C%;!<%8=PNO$r$9$Y$FM^@)$9$k$K$O!"(B`/dev/null' $B$X%j%@%$%l(B
-     $B%/%H$7$F2<$5$$(B ($B$?$@$7!"%(%i!<%a%C%;!<%8$K$D$$$F$O=PNO$5$l$F$7$^(B
-     $B$$$^$9$,(B)$B!#(B
-
-`--srcdir=$B%G%#%l%/%H%j(B'
-     $B%Q%C%1!<%8$N%=!<%9%3!<%I$rC5$7=P$9:]$K!"!V%G%#%l%/%H%j!W$rC5$7$^(B
-     $B$9!#DL>o!"(B`configure' $B$O<+F0E*$K%G%#%l%/%H%j$r7hDj$7$^$9!#(B
-
-`--version'
-     `configure' $B%9%/%j%W%H$,$I$N%P!<%8%g%s$N(B Autoconf $B$K$h$C$F@8@.$5(B
-     $B$l$?$N$+$rI=<($7!"=*N;$7$^$9!#(B
-
-$BLr$KN)$D>lLL$O8B$i$l$^$9$,!"(B`configure' $B$K$OB>$K$b$$$/$D$+$N%*%W%7%g%s(B
-$B$,MQ0U$5$l$F$$$^$9!#(B
-VERSION = 1.0
-AUTHOR_VERSION = 1.0-pre9
+VERSION = 1.02
+AUTHOR_VERSION = 1.0
 MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
 PACKAGE = lookup
 PKG_TYPE = regular
 	lisp/ndict.elc lisp/ndkks.elc lisp/ndmisc.elc lisp/ndnmz.elc \
 	lisp/ndspell.elc lisp/ndtp.elc lisp/stem-english.elc
 
-PRELOADS =
+PRELOADS = -eval "(setq lookup-byte-compile t)"
 
 DATA_FILES = 
 
-EXTRA_DIST = README.W32
-SUBDIRS = lisp texi etc
+EXTRA_DIST = VERSION install.el etc packages
+SUBDIRS = lisp texi 
+
+
+dist-hook:
+	find $(distdir) -type f \
+		-name "*~" -o -name "*.bak" -o -name "*.orig" -o \
+		-type d -name "CVS" -print \
+		| xargs rm -rf; \
 emacsdir = @emacsdir@
 lispdir = @lispdir@
 
-EXTRA_DIST = README.W32
-SUBDIRS = lisp texi etc
+EXTRA_DIST = VERSION install.el etc packages
+SUBDIRS = lisp texi 
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_CLEAN_FILES = 
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
 	      || exit 1; \
 	  fi; \
 	done
+	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
 info-am:
 info: info-recursive
 dvi-am:
 maintainer-clean-generic clean mostlyclean distclean maintainer-clean
 
 
+dist-hook:
+	find $(distdir) -type f \
+		-name "*~" -o -name "*.bak" -o -name "*.orig" -o \
+		-type d -name "CVS" -print \
+		| xargs rm -rf; \
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
 Lookup NEWS -- history of user-visible changes.  28 Jan 1999
-Copyright (C) 1998,1999 NISHIDA Keisuke <knishida@ring.aist.go.jp>
+Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
 See the end for copying conditions.
 
 Please send Lookup bug reports to lookup-ja@ring.gr.jp.
 
+* Changes in Lookup 1.0
+
+** coding $B$N@_Dj$,(B in/out $B0l$D$K$J$C$?!#(B
+
+** lookup-cite-style $B$rGQ;_!#(Blookup-gaiji-alternate $B$rF3F~!#(B
+
+** $B@lMQ%$%s%9%H!<%i$rF3F~$7$?!#(BRADME $B$r;2>H!#(B
+
+** $B%*%W%7%g%s;XDj$N%9%?%$%k$rJQ$($?!#(B
+
+$B:#8e(B `lookup-search-agents' $B$O<!$N$h$&$K;XDj$9$k!#(B
+
+  (setq lookup-search-agents '((agent :key1 val1 :key2 val2)))
+
+$B$3$l$KH<$J$$!"%(!<%8%'%s%H$X$NDI2C0z?t$OGQ;_$7$?!#Be$o$j$K%*%W%7%g%s$K(B
+$B$h$jL@<(E*$K;XDj$9$k$3$H!#(B
+
+$B$^$?!">e$N$h$&$K3F%*%W%7%g%s$O(B `:' $B$G;O$^$k$h$&$K$7$?$N$G!"(B
+`lookup-set-agent-option' $B$J$I$rMQ$$$k>l9g$b(B `:' $B$rDI2C$9$k$3$H!#(B
+$B:G6a$N(B Emacs ($B%P!<%8%g%s(B 20 $B0J9_(B)$B$G$"$l$P!"%/%*!<%H$rIU$1$:$K<!$N(B
+$B$h$&$K;XDj$9$k$3$H$,=PMh$k!#(B
+
+  (lookup-set-agent-option "agent+location" :title "Title")
+
+** $B8!:w%b%8%e!<%k4XO"$N;EMM$rBgI}$K8+D>$7$?!#(B
+
+$BJQ?t(B `lookup-search-modules' $B$rF3F~!#<!$N$h$&$K@_Dj$9$k!#(B
+
+  (setq lookup-search-modules
+        '((NAME1 ID1 ID2 ...)
+          (NAME2 ID1 ID2 ...)
+          ...))
+
+$B8!:w%3%^%s%I<B9T;~$K%W%l%U%#%/%9$rIU$1$k$3$H$G!"Dj5A$7$?%b%8%e!<%k$r(B
+$BA*Br$7$F8!:w$r9T$&$3$H$,=PMh$k!#%G%U%)%k%H$G$O@hF,$N%b%8%e!<%k$,MxMQ(B
+$B$5$l$k!#%G%U%)%k%H$N%b%8%e!<%k$O!"?7$7$$%3%^%s%I(B `lookup-module-forward'
+$B$H(B `lookup-module-backward' $B$K$h$C$F@Z$jBX$($k$3$H$,=PMh$k!#$3$l$i$O(B
+Entry $B%b!<%I$N(B M-f $B$H(B M-b $B$K$b%P%$%s%I$5$l$F$$$k!#(B
+
+$B%b%8%e!<%k$N@_Dj$r$7$J$+$C$?>l9g!"(B"%EVERY" $B$H$$$&L>A0$N%b%8%e!<%k$,(B
+$B0l$D$@$1@8@.$5$l$k!#(B
+
+** C-u M-x lookup-exit $B$H$9$k$3$H$G(B Lookup $B$r6/@)=*N;$9$k$h$&$K$7$?!#(B
+lookup-exit $B$O(B Emacs $B=*N;;~$K$b8F$P$l$k$,!"2?$i$+$N%P%0$G$3$3$G%(%i!<$,(B
+$BH/@8$9$k$H(B Emacs $B$rH4$1$i$l$J$/$J$k!#$=$N$h$&$J$H$-$K$3$l$r<B9T$9$k$H!"(B
+$B$H$K$+$/(B Emacs $B$r=*N;$9$k$3$H$,=PMh$k$h$&$K$J$k!#(B
+
+** $B<-=q0lMw%P%C%U%!$,MzNr$K;D$k$h$&$K$J$C$?!#(B
+$B$3$l$KH<$J$$!"=>Mh(B `q' $B$K$h$j:G8e$N%P%C%U%!$KLa$C$F$$$?(B(lookup-quit)$B$N$r(B
+$B$d$a!"(B`q' $B$OC1$K(B Lookup $B$N%&%#%s%I%&$rJD$8$k(B(lookup-suspend)$B$@$1$K$J$C$?!#(B
+
+** $B<-=q%*%W%7%g%s(B filter $B$rGQ;_$7$?!#(B
+
+** lookup-get-{module,agent,dictionary} $B$rDI2C!#(B
+
+** Agent changes
+
+*** $B%(!<%8%'%s%H$N(B suspend $B=hM}$rGQ;_$7$?!#(Bndtp $B$N(B suspend $B%*%W%7%g%s$bGQ;_!#(B
+
+*** ndic $B%(!<%8%'%s%H$,(B SDIC $B7A<0$N<-=q$KBP1~$7$?!#(B
+$B%(!<%8%'%s%H$K;XDj$9$k%G%#%l%/%H%j$K<-=q%U%!%$%k$rCV$/$@$1$G$h$$!#(B
+dictd $B7A<0$N<-=q$H$N:.:_$b2DG=!#8!:wJ}<0$O<+F0E*$KH=Dj$5$l$k(B
+(direct, grep, array $B$N$$$:$l$+(B)$B!#>\$7$/$O(B SDIC $B$N(B Web $B%Z!<%8$r;2>H!#(B
+
+*** ndeb $B$N%*%W%7%g%s(B :coding $B$,<-=qKh$K;XDj=PMh$k$h$&$K$J$C$?!#(B
+$B$^$?!"F~=PNO$r$^$H$a$F(B(cons $B$G$O$J$/(B)$B0l$D$N%7%s%\%k$r<u$1<h$k$h$&$K$J$C$?!#(B
+
+*** ndcookie $B$,8!:w$r$;$:$K!"Kh2s%i%s%@%`$G(B cookie $B$rJV$9$h$&$K$7$?!#(B
+$B$3$l$K$h$j!"%(!<%8%'%s%H$H$7$F$h$jE,@Z$GM-0U5A(B(?)$B$JB8:_$H$J$C$?!#(B
+
+** $B<g$J%P%0=$@5(B
+
+*** Mule $B$G$b(B lookup-use-kakasi $B$K$h$kF|K\8l$N@Z$j=P$7$,2DG=$H$J$C$?!#(B
+
+*** XEamcs $B$G(B efs $B$r%m!<%I$7$F$$$k$H%(%i!<$K$J$k$N$rD>$7$?!#(B
+
+
 * Changes in Lookup 1.0pre9
 
 ** $B8!:wJ}<0$KBP$9$k9M$(J}$r8+D>$7$?!#(B
 ----------------------------------------------------------------------
 Copyright information:
 
-Copyright (C) 1998 NISHIDA Keisuke
+Copyright (C) 1998,1999 NISHIDA Keisuke
 
   Permission is granted to anyone to make or distribute verbatim copies
   of this document as received, in any medium, provided that the
 
 		      Lookup - a Search Interface
 
-		 http://www.ring.gr.jp/openlab/lookup/
-			knishida@ring.aist.go.jp
+		   http://openlab.ring.gr.jp/lookup/
+			  lookup-ja@ring.gr.jp
 
 
 Lookup $B$O(B Emacs $B%(%G%#%?$GMxMQ$G$-$k<-=q8!:w%$%s%?!<%U%'!<%9$G$9!#;THN$N(B
 Contents of This Distribution ==========================================
 
 - README        $B$3$N%U%!%$%k(B
-- README.W32    Microsoft Windows $B$GMxMQ$9$k>l9g$NCm0U(B
 - COPYING       Lookup $B$r:FG[I[$9$k$?$a$N>r7o!"5Z$S(B
                 Lookup $B$,L5J]>Z$G$"$k$3$H$NI=L@(B
 - INSTALL       $B%$%s%9%H!<%k$NJ}K!$K$D$$$F(B
 `texi'          Texinfo $B%I%-%e%a%s%H(B
 `etc'           $B$=$NB>$$$m$$$m(B
 
+How To Install =========================================================
+
+Lookup $B$N%$%s%9%H!<%kJ}K!$K$OFs<oN`$"$j$^$9!#0l$D$O@lMQ$N%$%s%9%H!<%i$r(B
+$BMQ$$$kJ}K!$G!"$b$&0l$D$O(B make $B$rMQ$$$kJ}K!$G$9!#A0<T$NJ}$,$*<j7Z$G$9$,!"(B
+$B8e<T$NJ}$,$h$j40A4$J%$%s%9%H!<%k$r9T$J$($^$9!#(B
+
+$B@lMQ%$%s%9%H!<%i$rMQ$$$k>l9g(B
+----------------------------
+
+$B@lMQ%$%s%9%H!<%i$O(B Emacs $B$NCf$+$iD>@\<B9T$7$^$9!#(BWindows $B$J$I$G(B make $B$r(B
+$B;H$($J$$>l9g$d!"(Belisp $B%W%m%0%i%`$N%$%s%9%H!<%k$KIT47$l$J?M$K8~$$$F$$$^$9!#(B
+
+$B$^$::G=i$K(B Emacs $B$r5/F0$7!"(BLookup $BG[I[J*$N%H%C%W%G%#%l%/%H%j(B($B$3$N%U%!%$(B
+$B%k$N$"$k%G%#%l%/%H%j(B)$B$r(B Dired $B$G%*!<%W%s$7$F2<$5$$!#(Binstall.el $B$H$$$&%U%!(B
+$B%$%k$K%+!<%=%k$r9g$o$;!"(B`L' $B$HF~NO$9$l$PBPOCE*$K%$%s%9%H!<%k$,;O$^$j$^$9!#(B
+
+elisp $B%U%!%$%k!"5Z$S(B info $B%U%!%$%k$N%$%s%9%H!<%k%G%#%l%/%H%j$r=g$KJ9$$$F(B
+$B$/$k$N$G!"$*9%$_$N%G%#%l%/%H%j$rF~NO$7$F2<$5$$!#$=$N8e%3%s%Q%$%k$,;O$^$j!"(B
+$BL5;v%$%s%9%H!<%k$K@.8y$9$l$P$=$N;]$r5-$7$?%P%C%U%!$,I=<($5$l$^$9!#;X<($K(B
+$B=>$C$F@_Dj$r9T$J$C$F2<$5$$!#(B
+
+$B%3%^%s%I%i%$%s$+$i<B9T$9$k>l9g(B
+------------------------------
+
+$B@lMQ%$%s%9%H!<%i$O%3%^%s%I%i%$%s$+$iD>@\<B9T$9$k$3$H$b=PMh$^$9!#<!$N$h$&(B
+$B$K$7$F2<$5$$!#(B
+
+  % emacs -batch -l install.el ~/emacs/lisp/lookup ~/emacs/info
+
+$B0z?t$N%G%#%l%/%H%j$r>JN,$7$?>l9g!"%G%U%)%k%H$G>e5-$N%G%#%l%/%H%j$K%$%s%9(B
+$B%H!<%k$5$l$^$9!#(B
+
+make $B$rMQ$$$k>l9g(B
+-----------------
+
+configure $B%W%m%0%i%`$H(B make $B$rMQ$$$k$3$H$G$b%$%s%9%H!<%k=PMh$^$9!#Nc$($P(B
+$B<!$N$h$&$K$7$F2<$5$$!#(B
+
+  % ./configure --with-emacs=emacs \
+                --with-lispdir=/your/home/emacs/lisp/lookup \
+                --infodir=/your/home/emacs/info
+  % make install
+
+configure $B$N%*%W%7%g%s$r>JN,$7$?>l9g!"(BEmacs $B$H$=$N(B site-lisp $B%G%#%l%/%H(B
+$B%j$rE,Ev$KH=CG$7$FI,MW$J%U%!%$%k$r%3%T!<$7$^$9!#(B
+
+$B%$%s%9%H!<%k$K$D$$$F$h$j>\$7$/$O!"ImB0$N%U%!%$%k(B INSTALL $B$r;2>H$7$F2<$5$$!#(B
+
 Search Agents ==========================================================
 
 Lookup $B$G<-=q$rMxMQ$9$k$?$a$K$O!"<-=q$H8r?.$9$k$?$a$N8!:w%(!<%8%'%s%H$,(B
 $BMxMQ=PMh$k%(!<%8%'%s%H$K$D$$$F$h$j>\$7$/$O!"ImB0$N%U%!%$%k(B etc/AGENTS$B!"(B
 $B5Z$S(B info $B%^%K%e%"%k$r;2>H$7$F2<$5$$!#(B
 
-How To Install =========================================================
-
-$B%G%U%)%k%H$N@_Dj$N$^$^%$%s%9%H!<%k$9$k>l9g!"%7%'%k$+$i(B
-
-  % ./configure; make install
-
-$B$H$7$F2<$5$$!#(BEmacs $B$N(B site-lisp $B%G%#%l%/%H%j$,E,Ev$KH=CG$5$l!"I,MW$J%U%!(B
-$B%$%k$,%3%T!<$5$l$^$9!#(B(XEmacs $B$N>l9g$O!"(Bsite-lisp/lookup $B$H$$$&%5%V%G%#(B
-$B%l%/%H%j$,@8@.$5$l$^$9(B)
-
-$BMxMQ$9$k(B Emacs $B$r;XDj$9$k>l9g!"%*%W%7%g%s(B --with-emacs $B$r;XDj$7$F2<$5$$!#(B
-elisp $B%U%!%$%k$N%$%s%9%H!<%k!&%G%#%l%/%H%j$r;XDj$9$k>l9g!"%*%W%7%g%s(B
---with-lispdir $B$r@_Dj$7$F2<$5$$!#(Binfo $B%U%!%$%k$N%$%s%9%H!<%k!&%G%#%l%/%H(B
-$B%j$r;XDj$9$k>l9g!"%*%W%7%g%s(B --infodir $B$r;XDj$7$F2<$5$$!#(B
-
-$BNc$($P!"(BMule $B$rMxMQ$7!"(B"~/emacs/lisp" $B5Z$S(B "~/emacs/info" $B$K%U%!%$%k$r%$(B
-$B%s%9%H!<%k$9$k$N$G$"$l$P!"<!$N$h$&$K$7$^$9!#(B
-
-  % ./configure --with-emacs=mule \
-                --with-lispdir=/your/home/emacs/lisp \
-                --infodir=/your/home/emacs/info
-
-$B%$%s%9%H!<%k$K$D$$$F$h$j>\$7$/$O!"ImB0$N%U%!%$%k(B INSTALL $B$r;2>H$7$F2<$5$$!#(B
-
 How To Use =============================================================
 
 Lookup $B$rMxMQ$9$k$K$O!"<!$N$h$&$J@_Dj$r(B ~/.emacs $B$K2C$($F2<$5$$!#(B
 
 Lookup $B$O(B Ring Server $B%W%m%8%'%/%H$K$h$k(B OpenLab $B$G3+H/$5$l$F$$$^$9!#(B
 
-  http://www.ring.gr.jp/openlab/lookup/
+  <http://openlab.ring.gr.jp/lookup/>
 
 Lookup $B$K4X$9$k>pJs8r49$O!"@lMQ$N%a!<%j%s%0%j%9%H$K$F9T$o$l$F$$$^$9!#(B
 $B;22C$r4uK>$9$kJ}$O!"(B`lookup-ja-request@ring.gr.jp' $B08$F$K!"K\J8$K(B
 subscribe $B$H=q$$$?%a!<%k$rAw$C$F2<$5$$!#(B
 
-Lookup $B$O!"@>ED7=2p(B(knishida@ring.aist.go.jp)$B$,4IM}$7$F$$$^$9!#(BLookup $B$K(B
-$B4X$9$kLd$$9g$o$;$O$3$A$i$^$G$*4j$$$7$^$9!#(B
+Lookup $B$O!"(Blookup-ja@ring.gr.jp $B%a%$%j%s%0%j%9%H$NM-;V(B 
+(lookup-ja@ring.gr.jp)$B$,4IM}$7$F$$$^$9!#(BLookup $B$K4X$9$kLd$$(B
+$B9g$o$;$O$3$A$i$^$G$*4j$$$7$^$9!#(B
+
+($B86:n<T$O@>ED7=2p$5$s(B <kei@psn.net> $B$G$9(B)
 
 PACKAGE=lookup
 
-VERSION=1.0pre9
+VERSION=`cat VERSION`
 
 if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
   { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
 ac_given_srcdir=$srcdir
 ac_given_INSTALL="$INSTALL"
 
-trap 'rm -fr `echo "Makefile lisp/Makefile texi/Makefile etc/Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
+trap 'rm -fr `echo "Makefile lisp/Makefile texi/Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
 EOF
 cat >> $CONFIG_STATUS <<EOF
 
 
 cat >> $CONFIG_STATUS <<EOF
 
-CONFIG_FILES=\${CONFIG_FILES-"Makefile lisp/Makefile texi/Makefile etc/Makefile"}
+CONFIG_FILES=\${CONFIG_FILES-"Makefile lisp/Makefile texi/Makefile"}
 EOF
 cat >> $CONFIG_STATUS <<\EOF
 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
 AC_INIT(lisp/lookup.el)
-AM_INIT_AUTOMAKE(lookup, 1.0pre9)
+AM_INIT_AUTOMAKE(lookup, `cat VERSION`)
 
 AM_PATH_LISPDIR
 
-AC_OUTPUT(Makefile lisp/Makefile texi/Makefile etc/Makefile)
+AC_OUTPUT(Makefile lisp/Makefile texi/Makefile)
+1999-02-13  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* SETUP: New file.
+	* AGENTS: Remove file.
+
 1999-01-27  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
 
 	* PROBLEMS: New file.
 			  L o o k u p   F A Q
 		     - Lookup $B$K4X$9$k<ALd$H2sEz(B -
                                                     Edition: 1.1
-                                                    Updated: 28 Jan 1999
+                                                    Updated: 22 May 1999
 
 $B$3$N%U%!%$%k$K$O!"(BLookup $B$K$D$$$F$h$/$"$k<ALd$H$=$N2sEz$r$^$H$a$F$$$^$9!#(B
-$BFbMF$NITB-$d4V0c$$$J$I$,$"$l$P!"(Bknishida@ring.aist.go.jp $B$^$G%a!<%k$7$F(B
-$B2<$5$$!#(B
+$B$b$75?Ld$K;W$C$?$3$H$,$3$NCf$+$i8+IU$1$i$l$J$$$H$-$K$O%a!<%j%s%0%j%9%H$G(B
+$B<ALd$7$F$_$F2<$5$$!#(B
 
 Changes in 1.1:  2.4, 2.7, A.5
 
 Section 2  $B<-=q$K$D$$$F(B
 
 2.1:  $B$*4+$a$N<-=q$O2?$G$9$+(B?
-2.2:  $B!X(Bxxx$B!Y$H$$$&<-=q$O(B Lookup $B$G;H$($^$9$+(B?
+2.2:  $B05=L$5$l$?(B EPWING $B$N<-=q$rMxMQ$G$-$^$9$+!)(B ($B9-<-1qBh(B5$BHG$J$I(B)
 2.3:  $B%U%j!<$K<j$KF~$l$i$l$k<-=q$O$"$j$^$;$s$+(B?
 2.4:  $B<-=q$r05=L$7$F>.$5$/$9$k$3$H$O=PMh$^$;$s$+(B?
 2.5:  $B?7$7$$<-=q$rFI$a$k$h$&$K$9$k$K$O$I$&$7$?$i$$$$$G$9$+(B?
 A.3:  $B!X2~D{?7HG(B $B$3$H$o$6L>8@$N@t!Y(B(EBXA)$B$GFbMF$,$-$A$s$HI=<($5$l$^$;$s!#(B
 A.4:  $B!X4A;z8;!Y(B(EPWING)$B$GFbMF$,$-$A$s$HI=<($5$l$^$;$s!#(B
 A.5:  $B!X<#NELt%^%K%e%"%k!Y(B($BEE;R%V%C%/HG(B)$B$GFbMF$,$-$A$s$HI=<($5$l$^$;$s!#(B
+A.6   $B!X%8!<%K%"%91QOB!&OB1Q<-E5!Y(B ($BEE;R%V%C%/HG(B) $B$G8+=P$7$N2~9T$,JQ$G$9!#(B
 
 Appendix B  $B3+H/<T$N$?$a$N>pJs(B
 
   $B$^$:$O<!$N8x<0(B Web $B%Z!<%8$r;2>H$7$F2<$5$$!#$h$j>\$7$$>pJs$rF@$k$?$a$K(B
   $B$O!"(BFAQ 1.4 $B$r;2>H$7$F2<$5$$!#(B
 
-    http://www.ring.gr.jp/openlab/lookup/
+    http://openlab.ring.gr.jp/lookup/
 
   Lookup $B$O(B Ring Server $B%W%m%8%'%/%H$K$h$k(B OpenLab $B$G3+H/$5$l$F$$$^$9!#(B
   Ring Server $B$K$D$$$F$O<!$N(B FAQ 1.2 $B$r;2>H$7$F2<$5$$!#(B
 
 1.2:  Ring Server $B$H$O2?$G$9$+(B?
 
-  `http://www.ring.gr.jp/openlab/ringserver/index-j.html' $B$h$j(B
+  `http://openlab.ring.gr.jp/ringserver/index-j.html' $B$h$j(B
 
     Ring Server $B%W%m%8%'%/%H$O!"%$%s%?!<%M%C%H$J$I$N9bB.%M%C%H%o!<%/(B
     $B4D6-$rBP>]$H$7$F!"Bg5,LO$J%=%U%H%&%'%"%i%$%V%i%j$H%=%U%H%&%'%"$N(B
     lookup-request@ring.gr.jp ($B1Q8l(B)
     lookup-ja-request@ring.gr.jp ($BF|K\8l(B)
 
-  $B%"%J%&%s%9$,N.$l$F0lF|0JFb$K$O!"3F%_%i!<%5!<%P$,99?7$5$l$F!"(BWeb $B$+$i$b(B
-  $B>pJs$rF@$i$l$k$h$&$K$J$j$^$9!#<!$N$H$3$m$K%"%/%;%9$9$l$P!"0lAa$/3N<B$K(B
-  $B:G?7>pJs$rF@$k$3$H$,=PMh$^$9!#(B
-
-    http://ring.aist.go.jp/openlab/lookup/
-
   Lookup $B$H$OD>@\4X78$,$"$j$^$;$s$,!"EE;R<-=q0lHL$K$D$$$F>pJs8r49$r9T$J(B
   $B$&$?$a$N%a!<%j%s%0%j%9%H(B edict ML $B$G$b4XO">pJs$,$d$j$H$j$5$l$k$3$H$,$"(B
   $B$j$^$9!#(Bedict ML $B$K$D$$$F$O!"<!$N(B Web $B%Z!<%8$r;2>H$7$F2<$5$$!#(B
 
-    http://www.ring.gr.jp/openlab/edict/
+    http://openlab.ring.gr.jp/edict/
 
   $B$^$?!"(BNDTPD $B$N%a!<%j%s%0%j%9%H$G$b(B Lookup $B$K4XO"$7$?OCBj$N=P$k$3$H$,$"(B
   $B$j$^$9!#FC$K;THN$N(B CD-ROM $B<-=q$rMxMQ$7$F$$$k>l9g!"(BNDTPD $B$N%a!<%j%s%0%j(B
 
 1.6:  $B%P%0Js9p$O$I$N$h$&$K$9$l$P$$$$$G$9$+(B?
 
-  $B<!$N;v9`$r=q$$$F!"(Bknishida@ring.aist.go.jp $B$^$GAw$C$F2<$5$$!#%a!<%j%s(B
-  $B%0%j%9%H$KF~$C$F$$$k?M$O%a!<%j%s%0%j%9%H$KAw$C$F2<$5$$!#(B
+  $B<!$N;v9`$r=q$$$F(B lookup-ja@ring.gr.jp $B$KAw$C$F2<$5$$!#(B
 
   1) $BMxMQ$7$F$$$k(B Emacs $B$H$=$N%P!<%8%g%s(B
   2) Lookup $B$N%P!<%8%g%s$H@_DjFbMF(B
   $B$3$l0J30$K$b?tB?$/$NM-MQ$J<-=q$,$"$j$^$9!#(BLookup $B$+$iMxMQ=PMh$k$$$/$D(B
   $B$+$N<-=q$r<!$N$H$3$m$G>R2p$7$F$$$k$N$G!";29M$K$7$F2<$5$$!#(B
 
-    http://www.ring.gr.jp/openlab/lookup/dicts/
+    http://openlab.ring.gr.jp/lookup/dicts/
 
   $B$^$?!"EE;R<-=q0lHL$K$D$$$F$N%a!<%j%s%0%j%9%H$J$s$F$b$N$b$"$j$^$9$N$G!"(B
   $B$=$l0J30$N>pJs$rF@$k$?$a$K$O$=$A$i$b;2>H$7$F2<$5$$!#(B
 
-    http://www.ring.gr.jp/openlab/edict/
+    http://openlab.ring.gr.jp/edict/
 
-2.2:  $B!X(Bxxx$B!Y$H$$$&<-=q$O(B Lookup $B$G;H$($^$9$+(B?
+2.2:  $B05=L$5$l$?(B EPWING $B$N<-=q$rMxMQ$G$-$^$9$+!)(B ($B9-<-1qBh(B5$BHG$J$I(B)
 
-  $B8=:_(B Lookup $B$G;H$($k<-=q$K$O!"<g$H$7$F<!$N<oN`$N$b$N$,$"$j$^$9!#(B
+  Lookup $B$G(B EPWING $B$r;H$&>l9g$O<!$N(B 2 $BDL$j$NJ}K!$,$"$j$^$9!#(B
 
-  a) $BEE;R%V%C%/(B(EB/EBG/EBXA $B=`5r(B)
-  b) EPWING $B5,Ls$K=`5r$7$?(B CD-ROM $B<-=q(B
-  c) dictd 1.4.x $B@lMQ%U%)!<%^%C%H$KJQ49$5$l$?<-=q(B
+  a) ndtp $B%(!<%8%'%s%H$r;H$&!#(B
+  b) ndeb $B%(!<%8%'%s%H$r;H$&!#(B
 
-  $B$3$NFb(B b $B$K$D$$$F$O!":G?7$N(B EPWING $BBh;MHG!"Bh8^HG$KBP1~$7$F$$$k0lIt$N(B
-  $B<-=q$O(B Lookup $B$+$iMxMQ=PMh$J$$$N$GCm0U$7$F2<$5$$!#$=$l$i$N<-=q$O%G!<%?(B
-  $B$,05=L$5$l$F$$$k$N$G$9$,!"<-=q$rFI$`$?$a$KMxMQ$7$F$$$k(B EB $B%i%$%V%i%j$,(B
-  $B$=$l$rE83+=PMh$:$K$$$k$?$a$G$9!#$3$l$O$$$:$l2r7h$5$l$k$+$b$7$l$^$;$s!#(B
+  ndtp$B$r;H$&>l9g!"05=L$5$l$?(B EPWING $B$N<-=q$rMxMQ2DG=$J(BNDTPD $B%P!<%8%g%s(B
+  2.3$B0J9_$r%5!<%P$H$7$FAv$i$;$l$P;H$($^$9!#(B
+
+  $B$b$&0lJ}$N(B ndeb $B$O<-=q%"%/%;%9$r(B eblook $B$H$$$&%3%^%s%I$K9T$o$;$^$9!#(B
+  eblook $B$O(B NDTPD $B$HF1$8<-=q8!:w%i%$%V%i%j(B (EB $B%i%$%V%i%j(B) $B$r;H$C$F$$$^(B
+  $B$9$N$G!"05=L$5$l$?(BEPWING $B$KBP1~$7$?(B EB $B%i%$%V%i%j(B ($B%P!<%8%g%s(B 2.3$B0J9_(B)
+  $B$r%j%s%/$7$?(B eblook $B$r:n$l$P(B ndeb $B7PM3$G$b;H$($k$O$:$G$9!#(B
+
   $B$h$j>\$7$$>pJs$O!"(BNDTPD $B$N(B Web $B%Z!<%8$+$iF@$i$l$^$9!#(B
 
-    http://www.sra.co.jp/people/m-kasahr/ndtpd/misc-ja.html
+    http://www.sra.co.jp/people/m-kasahr/ndtpd/index-ja.html
 
   $B$b$7MxMQ$7$?$$<-=q$,>e5-$K4^$^$l$J$$<oN`$N$b$N$G$"$k$H$7$F$b!"$=$l$J$j(B
   $B$N:n6H$5$(9T$J$($P!"MxMQ=PMh$k$h$&$K$9$k$3$H$bIT2DG=$G$O$"$j$^$;$s!#(B
 
   Lookup $B$+$i;H$($k<-=q$N%j%9%H$O:n@.$5$l$F$$$^$;$s!#=gD4$KF0:n$7$F$$$k!"(B
   $B$"$k$$$OF0:n$7$J$+$C$?$H$$$&>pJs$r$*;}$A$NJ}$O!"<-=q$K$D$$$F$N%3%a%s%H(B
-  $B$rE:$($F(B knishida@ring.aist.go.jp $B$^$G$*CN$i$;D:$1$k$HM-$jFq$$$G$9!#(B
+  $B$rE:$($F%a!<%j%s%0%j%9%H$^$G$*CN$i$;D:$1$k$HM-$jFq$$$G$9!#(B
 
   $B$$$/$D$+$N<-=q$K4X$9$kCm0U;v9`$,(B Appendix A $B$K$^$H$a$i$l$F$$$k$N$G!"$=(B
   $B$A$i$b;2>H$7$F2<$5$$!#(B
 
   $B<!$N$H$3$m$G>R2p$7$F$$$^$9!#(B
 
-    http://www.ring.gr.jp/openlab/lookup/dicts/
+    http://openlab.ring.gr.jp/lookup/dicts/
 
-  $BB>$KM-MQ$J>pJs$r$*;}$A$NJ}$,$$$^$7$?$i!"(Bknishida@ring.aist.go.jp $B$^$G(B
-  $B$*CN$i$;2<$5$$!#(B
+  $BB>$KM-MQ$J>pJs$r$*;}$A$NJ}$,$$$^$7$?$i!"%a!<%j%s%0%j%9%H$^$G$*CN$i$;2<(B
+  $B$5$$!#(B
 
 2.4:  $B<-=q$r05=L$7$F>.$5$/$9$k$3$H$O=PMh$^$;$s$+(B?
 
 
   a) CD-ROM $B<-=q$N>l9g(B
 
-    $B<-=q$r>.$5$/$9$k$3$H$,L\E*$G$"$l$P!"$^$:(B epwutil $B$H$$$&$b$N$rMxMQ$9(B
+    $B<-=q$r>.$5$/$9$k$3$H$,L\E*$G$"$l$P!"$^$:(B EPWUTIL $B$H$$$&$b$N$rMxMQ$9(B
     $B$k$3$H$G!"2hA|$J$I$NBg$-$J%G!<%?$r:o=|$7$F!"<-=q$r%9%j%`$K$9$k$3$H$,(B
     $B=PMh$^$9!#<-=q$K$b$h$j$^$9$,!"$3$l$G(B 25$B!A(B100% $BDxEY$NBg$-$5$K$J$j$^$9!#(B
     $B<!$N$H$3$m$G<j$KF~$j$^$9!#(B
 
-      http://www.ring.gr.jp/openlab/edict/
+      ftp://ftp.nerimadors.or.jp/pub/epwutil/
 
     $B<!$K!"<-=q8!:w$N$?$a$K(B eblook $B$"$k$$$O(B NDTPD $B$rMQ$$$k$J$i$P!"(BEB $B%i%$(B
     $B%V%i%j$KImB0$N(B ebzip $B%3%^%s%I$rMQ$$$k$3$H$G<-=q$r05=L$9$k$3$H$,2DG=(B
   $B$H$$$&9=A[$O$"$j$^$9$,!"$^$@6qBNE*$J:n6H$K$OF~$C$F$$$^$;$s!#6=L#$N$"$k(B
   $BJ}$O!"(Bedict ML $B$^$G!#(B
 
-    http://www.ring.gr.jp/openlab/edict/
+    http://openlab.ring.gr.jp/edict/
 
   $B8=:_!"(BLookup $B$+$iMxMQ$G$-$F<+:n2DG=$J<-=q$N%U%)!<%^%C%H$H$7$F$O!"2<5-(B
   $B$N(B dictd $B7A<0$,$"$j$^$9!#$^$?!"(BSDIC $B7A<0$b6a$$Fb$K%5%]!<%H$9$kM=Dj$G$9!#(B
   $B8=:_!"!X<-!&E5!&HW(B97$B!Y$H(B "dict-misc" $BMQ$NFs$D$@$1$,MQ0U$5$l$F$$$^$9!#(B
   $B<!$N$H$3$m$r;2>H$7$F2<$5$$!#(B
 
-    http://www.ring.gr.jp/openlab/lookup/packages/
+    http://openlab.ring.gr.jp/lookup/dicts/
 
   $B$?$@$7!"%Q%C%1!<%8$,$J$/$H$b(B Lookup $B$NMxMQ$K;Y>c$O$"$j$^$;$s!#$b$7<+J,(B
   $B$G%Q%C%1!<%8$rMQ0U$7$h$&$H9M$($i$l$?J}$O!"4{B8$N%Q%C%1!<%8$r;29M$K:n$C(B
 
 4.1:  $B<-=q$r9%$-$J=g=x$KJB$YJQ$($k$3$H$O=PMh$^$;$s$+(B?
 
-  $B%(!<%8%'%s%H!&%*%W%7%g%s(B `enable' $B$r;XDj$9$l$P!"%(!<%8%'%s%HFb$G<-=q$r(B
-  $B$=$N=g=x$KJB$YJQ$($k$3$H$,=PMh$^$9!#(B`lookup-search-agents' $B$N@_Dj$H9g(B
-  $B$o$;$F9)IW$9$l$P!"9%$-$J$h$&$KJB$YJQ$($i$l$^$9!#(B
+  $B%(!<%8%'%s%H!&%*%W%7%g%s(B `enable' $B$r@_Dj$9$k$3$H$G!"$=$N%(!<%8%'%s%H$K(B
+  $B4^$^$l$k<-=q$r;XDj$7$?=g=x$KJB$YJQ$($k$3$H$,=PMh$^$9!#%^%K%e%"%k$N(B
+  `Setup Restriction' $B$r;2>H$7$F2<$5$$!#(B`lookup-search-agents' $B$N@_Dj$H(B
+  $B9g$o$;$F9)IW$9$l$P!"<+M3$JJB$YJQ$($,2DG=$H$J$j$^$9!#(B
 
 4.2:  $B<-=q0lMw$,2#$KD9$/$J$j$9$.$F8+?I$/$J$C$F$7$^$$$^$9!#(B
 
   $B=P$l$P$=$l$KEz$($k7A$G!"@bL@$NJ}$bIU$12C$($F$f$-$^$9!#(B
 
 ------------------------------------------------------------------------
-Copyright (C) 1998,1999 NISHIDA Keisuke
+Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
 
   Permission is granted to anyone to make or distribute verbatim copies
   of this document as received, in any medium, provided that the
-# Generated automatically from Makefile.in by configure.
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
-
-# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-
-SHELL = /bin/sh
-
-srcdir = .
-top_srcdir = ..
-prefix = /usr/local
-exec_prefix = ${prefix}
-
-bindir = ${exec_prefix}/bin
-sbindir = ${exec_prefix}/sbin
-libexecdir = ${exec_prefix}/libexec
-datadir = ${prefix}/share
-sysconfdir = ${prefix}/etc
-sharedstatedir = ${prefix}/com
-localstatedir = ${prefix}/var
-libdir = ${exec_prefix}/lib
-infodir = ${prefix}/info
-mandir = ${prefix}/man
-includedir = ${prefix}/include
-oldincludedir = /usr/include
-
-DESTDIR =
-
-pkgdatadir = $(datadir)/lookup
-pkglibdir = $(libdir)/lookup
-pkgincludedir = $(includedir)/lookup
-
-top_builddir = ..
-
-ACLOCAL = aclocal
-AUTOCONF = autoconf
-AUTOMAKE = automake
-AUTOHEADER = autoheader
-
-INSTALL = /usr/bin/install -c
-INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
-INSTALL_DATA = ${INSTALL} -m 644
-INSTALL_SCRIPT = ${INSTALL_PROGRAM}
-transform = s,x,x,
-
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-EMACS = xemacs
-MAKEINFO = makeinfo
-PACKAGE = lookup
-VERSION = 1.0pre9
-emacsdir = $(datadir)/emacs
-lispdir = $(datadir)/emacs/site-lisp/lookup
-
-EXTRA_DIST = AGENTS FAQ PROBLEMS
-mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-CONFIG_CLEAN_FILES = 
-DIST_COMMON =  README ChangeLog Makefile.am Makefile.in THANKS TODO
-
-
-DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
-
-TAR = tar
-GZIP_ENV = --best
-all: all-redirect
-.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
-	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps etc/Makefile
-
-Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
-	cd $(top_builddir) \
-	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
-
-tags: TAGS
-TAGS:
-
-
-distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
-
-subdir = etc
-
-distdir: $(DISTFILES)
-	@for file in $(DISTFILES); do \
-	  d=$(srcdir); \
-	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
-	    || cp -p $$d/$$file $(distdir)/$$file || :; \
-	  fi; \
-	done
-info-am:
-info: info-am
-dvi-am:
-dvi: dvi-am
-check-am: all-am
-check: check-am
-installcheck-am:
-installcheck: installcheck-am
-install-exec-am:
-install-exec: install-exec-am
-
-install-data-am:
-install-data: install-data-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-install: install-am
-uninstall-am:
-uninstall: uninstall-am
-all-am: Makefile
-all-redirect: all-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
-installdirs:
-
-
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-rm -f Makefile $(CONFIG_CLEAN_FILES)
-	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
-
-maintainer-clean-generic:
-mostlyclean-am:  mostlyclean-generic
-
-mostlyclean: mostlyclean-am
-
-clean-am:  clean-generic mostlyclean-am
-
-clean: clean-am
-
-distclean-am:  distclean-generic clean-am
-
-distclean: distclean-am
-
-maintainer-clean-am:  maintainer-clean-generic distclean-am
-	@echo "This command is intended for maintainers to use;"
-	@echo "it deletes files that may require special tools to rebuild."
-
-maintainer-clean: maintainer-clean-am
-
-.PHONY: tags distdir info-am info dvi-am dvi check check-am \
-installcheck-am installcheck install-exec-am install-exec \
-install-data-am install-data install-am install uninstall-am uninstall \
-all-redirect all-am all installdirs mostlyclean-generic \
-distclean-generic clean-generic maintainer-clean-generic clean \
-mostlyclean distclean maintainer-clean
-
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
-current problems					-*- outline -*-
+known problems						-*- outline -*-
 
-* XEmacs $B$G(B (require 'efs) $B$7$F$k$H%(%i!<!#(B
+* General problems
 
-* Mule $B$G(B KAKASI $B$K$h$kF|K\8l$N@Z$j=P$7$,F0:n$7$J$$!#(B
+** $B<-=q$,BP1~$7$F$J$$8!:wK!$,;XDj$5$l$?>l9g!"C1=c$KL5;k$7$F$$$k!#(B
 
-* XEmacs $B$@$H%(%s%H%jEy$N%3%i%`$,$:$l$k!#(B
+* Mule problems
 
-* XEmacs $B$G$O%j%U%!%l%s%9$K4^$^$l$k30;z$N?'$,JQ$o$i$J$$!#(B
-$B2hA|$r%+%i!<$K$9$l$PBP1~2DG=(B?
+** Mule 2.3 (based Emacs 19.34) $B$G30;z$rMQ$$$k$H8G$^$C$F$7$^$&$3$H$,$"$k!#(B
+$B$3$l$O(B Mule $B$N(B current-column $B$K%P%0$,$"$k$?$a$G!"30;z$rB?$/4^$`9T$G2?$+(B
+$B$7$h$&$H$9$k$H8G$^$C$F$7$^$&!#FC$KK\J8@07A=hM}$N(Bfill-region $B$NESCf$G8G$^(B
+$B$k$3$H$,B?$/!"$3$l$O(B
 
+$B$3$l$O(B Lookup $B$N%$%s%9%H!<%k8e$K(B 
+lookup-vse.elc $B$H$$$&%U%!%$%k$r:o=|$9$k$3$H$G!"$"$kDxEY$O2sHr$9$k$3$H$,(B
+$B=PMh$k!#$7$+$7B>$N8D=j$G8G$^$k%1!<%9$b$"$j!"H4K\E*$JBP:v$H$O$J$C$F$$$J$$!#(B
+
+$B$3$NLdBj$NFq$7$$$H$3$m$O!"(Bcurrent-column $B$,%P%$%H%3%s%Q%$%k;~$K(B
+$B%$%s%i%$%sE83+$5$l$F$7$^$&(B($B$i$7$$(B)$B$3$H$K$"$k!#Nc$((B current-column
+$B$r>e=q$-$9$k%3!<%I$r8e$+$i=q$$$F$b!"%W%m%0%i%`$r%P%$%H%3%s%Q%$%k(B
+$B$7$F$7$^$&$H%*%j%8%J%k$N(B current-column $B$,;H$o$l$F$7$^$&!#>e$G(B
+lookup-vse.elc $B$H$$$&%U%!%$%k$r>C$9$H$&$^$/$$$/$N$b!"$=$&$9$k$3$H(B
+$B$G(B lookup-vse.el $B$KAH$_9~$^$l$?2sHrMQ$N%3!<%I$,F/$/$?$a$G$"$k!#(B
+
+$B$3$NLdBj$r40A4$K2sHr$7$h$&$H;W$($P!"(BMule $BK\BN$N%P%0$rDY$7$F%$%s%9(B
+$B%H!<%k$r$d$jD>$9$+!"(Bcurrent-column $B$HF1Ey$N$7$+$b32$N$J$$%3!<%I$r(B
+$BMQ0U$7$F!"$=$N>e$G(B current-column $B$r8F$S=P$9A4$F$N(B elc $B%U%!%$%k$r(B
+$B:o=|$9$k$7$+$J$$!#$7$+$7$3$l$O!"$"$^$jBEEv$JBP:v$H$O8@$($J$$!#(B
+
+------------------------------------------------------------------------
+--- indent.c~	Tue Feb 16 13:25:32 1999
++++ indent.c	Tue Feb 16 15:23:54 1999
+@@ -518,11 +518,11 @@
+ 		  int bytes = char_bytes[(c = FETCH_CHAR (scan) - 0x20)];
+ 
+ 		  /* Check existence of trailing non ascii character.  */
+-		  while (--bytes && scan < pos
++		  while (bytes-- && scan < pos
+ 			 && NONASCII_P (FETCH_CHAR (scan)))
+ 		    scan++;
+ 
+-		  if (bytes)
++		  if (bytes != -1)
+ 		    /* Incomplete multibyte form.  */
+ 		    {
+ 		      scan = oldscan, width = 4;
+------------------------------------------------------------------------
+
+$B$h$j8=<BE*$K$O!"30;z$N?t$,>/$J$1$l$PLdBj$,H/@8$7$J$$$3$H$rMxMQ$7$F!"(B
+$B30;zCV$-49$($rMxMQ$9$k$3$H$G30;z$N?t$r8:$i$7$F$7$^$&$3$H$,9M$($i$l(B
+$B$k!#<B:]!"B?$/$N30;zCV$-49$($rDj5A$7$F$$$k!X<-!&E5!&HW(B97$B!Y$NJd=u(B
+$B%Q%C%1!<%8$rMQ$$$k$H!"LdBj$,5/$3$i$J$$$H$$$&$3$H$,Js9p$5$l$F$$$k!#(B
+
+$B7k6I!"BP:v$H$7$F$O%f!<%6B&$G<!$N$h$&$K$9$k$7$+$J$$!#(B
+
+ 1. $B<+J,$N<-=q$K9g$o$;$?Jd=u%Q%C%1!<%8$rMQ0U$9$k!#(B
+ 2. ndeb $B$G$"$l$P(B Appendix $B$r@_Dj$9$k!#(B
+ 3. Mule 2.3@19.28 $B$d(B Emacs 20 $B$J$I$K>h$j49$($k!#(B
+ 4. $B30;z$NMxMQ$rD|$a$k!#(B
+
+* XEmacs problems
+
+** XEmacs $B$@$H%(%s%H%jEy$N%3%i%`$,$:$l$F$7$^$&!#(B
+$B$3$l$OF|K\8l$N%U%)%s%HI}$,1Q;z$NFsG\$H$O8B$i$J$$$?$a!"(Bcolumn $B$K$h$k(B
+$BH=Dj$G$O$&$^$/$$$+$J$$$?$a!#$&$^$/$d$kJ}K!$O$"$k$N$@$m$&$1$I!"$h$/(B
+$B$o$+$i$J$$!#C/$+65$($F!#(B
+
+** XEmacs $B$G%j%U%!%l%s%9$K4^$^$l$k30;z$N?'$,JQ$o$i$J$$!#(B
+$B$3$l$O30;z$r2hA|$H$7$FI=<($7$F$$$k$?$a!"%U%)%s%H$N;XDj$,8z$+$J$$$?$a!#(B
+$B2hA|$r%+%i!<$K$7$F8mKb2=$9$3$H$b2DG=$+$b$7$l$J$$$,!"$=$l$h$j$O30;zI=<((B
+$B$NJ}K!$rH4K\E*$K8+D>$7$?$$!#(B
+
+* Meadow problems
+
+** ndeb $B$d(B ndnmz $B$N@_Dj$G<-=q$N%G%#%l%/%H%j$r;XDj$9$k>l9g!"%Q%9$N6h@Z$j(B
+$BJ8;z$H$7$F%P%C%/%9%i%C%7%e(B(`\')$B$rMQ$$$k$H@_Dj$,>e<j$/$$$+$J$$>l9g$,$"$k!#(B
+$B$3$l$O(B Meadow $B$N30It%W%m%0%i%`8F$S=P$7$N%P%0$N$h$&$G!"2sHr$9$k$K$O6h@Z$j(B
+$BJ8;z$K%9%i%C%7%e(B(`/')$B$rMQ$$$k$+!"$"$k$$$O<!$N$h$&$K@_Dj$7$F$*$/$H$h$$!#(B
+
+  (define-process-argument-editing
+    "/eblook\\.exe\\'"          ;; Namazu $B$N>l9g$O(B "/namazu\\.exe\\'"
+    (lambda (x) (general-process-argument-editing-function x nil t)))
+
+** Lookup $B$G30It%W%m%0%i%`(B(eblook $B$J$I(B)$B$rMQ$$$k$h$&$K@_Dj$7!"$=$N8e(B
+Meadow $B$r=*N;$9$k$H!"(BWindows95 $B$,%O%s%0$9$k$3$H$,$"$k!#$3$l$O(B Meadow $B$N(B
+$B30It%W%m%;%9$N07$$$KLdBj$,;D$5$l$F$$$k$?$a$G!"<!$N$h$&$K@_Dj$7$F$*$1$P(B
+$B2sHr=PMh$k$3$H$,B?$$!#(B
+
+  (if (fboundp 'orig:delete-process)
+      nil
+    (fset 'orig:delete-process (symbol-function 'delete-process))
+    (defun delete-process (proc)
+      (sit-for 1)
+      (orig:delete-process proc)))
 $B$3$N%G%#%l%/%H%j$K$O!"(BLookup $B$K4X$9$kJdB-E*$J>pJs$,<}$a$i$l$F$$$^$9!#(B
 
-- README        $B$3$N%U%!%$%k(B
-- AGENTS        $B8!:w%(!<%8%'%s%H0lMw(B
-- FAQ           $B$h$/$"$k<ALd$H$=$N2sEz(B
-- TODO          $B$d$k$Y$-$3$H$N%j%9%H(B
-- PROBLEMS      $B8=:_Jz$($F$$$kLdBjE@(B
-- THANKS        $B<U<-$H4XO">pJs(B
+- README	$B$3$N%U%!%$%k(B
+- FAQ		$B$h$/$"$k<ALd$H$=$N2sEz(B
+- TODO		$B$d$k$Y$-$3$H$N%j%9%H(B
+- PROBLEMS	$B8=:_Jz$($F$$$kLdBjE@(B
+- THANKS	$B<U<-$H4XO">pJs(B
+
+$B0J2<$O%W%m%0%i%`Fb$+$iMQ$$$i$l$k$b$N$G!"D>@\FI$`$b$N$G$O$"$j$^$;$s!#(B
+
+- SETUP		$B%;%C%H%"%C%W%,%$%I!#@lMQ%$%s%9%H!<%i$+$iMQ$$$i$l$k!#(B
 Lookup TODO -- list of something to do.			-*- outline -*-
 
+* Lookup $B%A%e!<%H%j%"%k$r:n$k!#(B
+
+ndtut $B$H$+$$$&%(!<%8%'%s%H$r:n$C$F$*$$$F!"<B:]$K(B Lookup $B$r;H$C$F$b$i$$$J(B
+$B$,$i@bL@=PMh$k$h$&$K$7$?$$!#%I%-%e%a%s%H$O:G=*E*$K<!$N;MIt9=@.$K$7$?$$!#(B
+
+ o $B%9%?!<%H%"%C%W%,%$%I(B
+   Lookup $B$K$D$$$F$N35MWGD0.$H!"<-=q$N=`Hw$d@_DjK!$K$D$$$F$N<j0z$-!#(B
+ o $B%A%e!<%H%j%"%k(B
+   Lookup $B$N;H$$J}$r<B:]$KF0$+$7$J$,$i3X$Y$k%,%$%I!#(B
+ o $B%f!<%6%^%K%e%"%k(B
+   Lookup $B$N@_Dj$H5!G=$K$D$$$F40A4$K@bL@$7$?%^%K%e%"%k!#(B
+ o $B3+H/<T%^%K%e%"%k(B
+   Lookup $B$NFbIt9=B$$H!"%(!<%8%'%s%H$d%Q%C%1!<%8$N9=C[K!$K$D$$$F!#(B
+
+$B$G$b!"$3$3$^$G6E$kI,MW$,$"$k$[$IBgAX$J%W%m%0%i%`$+!"$H$$$&5$$b$9$k!&!&(B
+
 * $B%I%-%e%a%s%H$r1QLu$9$k!#(B
 
 $B1Q8l7w$K$b%W%m%0%i%`$r9-$a$?$$$N$H!"<+J,$N1Q8l$NN}=,$r7s$M$F(B(^^;)$B!":#8e(B
 $B$OJ8=q$r=y!9$K1Q8l2=$7$F$$$-$?$$!#(B
 
-* $B30;z$r4^$s$@J8;zNs$N%5!<%A!#(B
+* bitmap-mule $B$rB?$/$N%U%)%s%H%5%$%:$KBP1~$5$;$k!#(B
 
-isearch $B$J$I$GK\J8$r8!:w$9$k>l9g!"30;z$NI=5-$,LdBj$K$J$k!#FC$K%"%/%;%s%H(B
-$B$J$I$OL5;k$7$F8!:w$7$?$$$H$$$&$N$,?M>p$@$,!"$3$l$O$I$N$h$&$K$9$l$P$$$$$+!#(B
-$B>-MhE*$K$O(B Unicode $B$NF3F~$K$h$j@vN}$5$l$?J}K!$,EP>l$9$k$N$+$b$7$l$J$$$,!"(B
-$B8=>u$G$b(B overlay $B$rMxMQ$9$l$PI=5-$H<B:]$NJ8;zNs$H$r6hJL=PMh$k$N$+$b$7$l(B
-$B$J$$!#$?$@!"<+J,$O$3$NJU$j$r$h$/CN$i$J$$$N$G!"$I$J$?$+<BAu$7$F$"$2$h$&$H(B
-$B$$$&J}$,$*$i$l$^$7$?$iO"Mm2<$5$$!#(B
+$B8=:_$O(B 16 $B%I%C%H$K$7$+BP1~$7$F$$$J$$$,!"$o$:$+$J=$@5$GB>$N%5%$%:$G$b;H$((B
+$B$k$h$&$K$J$k!#ImB0%U%)%s%H$N%5%$%:$rJQ$($?$b$N$b$^$H$a$FG[I[=PMh$k$H$$$$!#(B
+$B%I%-%e%a%s%H$b$^$H$a$FK\2H$KH?1G=PMh$k$H$J$*$$$$!#(B
 
 * XEmacs $B$G$N;H$$>!<j$r9b$a$k!#(B
 
 $B$3$mMQ0U$9$kM=Dj$O$J$7!#$b$7I,MW$@$H$$$&?M$,$*$i$l$^$7$?$i!"<+J,$G%3!<%I(B
 $B$r=q$$$FAw$C$F2<$5$k$HM-$jFq$$$G$9!#(B
 
-* XEmacs $B$G$N30;z$NI=<(J}K!$r:,K\E*$KJQ$($k!#(B
-
-$B8=:_$O!"(Bbitmap $B$N(B glyph $B$r!"(Binvisible $B$J(B extent $B$N(B end-glyph $B$H$7$FE=$j(B
-$BIU$1$k$3$H$G30;z$rI=<($7$F$$$k!#$7$+$7!"=PMh$k$3$H$J$i(B extent $B$O;H$o$:$K!"(B
-$BD>@\0l$D$NJ8;z$H$7$F(B glyph $B$rI=<(=PMh$l$P?=$7J,$J$$!#$I$&$d$i(B display
-table $B$H$d$i$r@_Dj$9$k$3$H$G$=$l$K6a$$$3$H$,2DG=$J$h$&$@$,!"$3$l$O(B ASCII 
-$BJ8;z$KBP$7$F$N$_$N%^%C%T%s%0$8$c$J$$$+$J(B? $B$3$l$r$b$C$H<+M3$K@_Dj=PMh$l$P(B
-$B$h$$$N$@$1$I!"$=$N$?$a$NJ}K!$,$o$+$i$J$$!#$I$J$?$+$3$NJU$j$rD4$Y$F!"$*CN(B
-$B$i$;D:$1$k$HM-$jFq$$!#(B
-
-* $BB??t$N%b%8%e!<%k$rMxMQ$9$k>l9g$N;H$$>!<j$rNI$/$9$k!#(B
-
-$BJ#?t$N8!:w%3%^%s%I$r;H$$J,$1$F$$$k$H!"$$$/$D$+;H$$>!<j$N0-$5$r46$8$k$3$H(B
-$B$,$"$k!#Nc$($PMzNr$N0\F0$d!"(BM-x lookup $B$G$N:FI=<($J$I!#FC$K:FI=<($N$?$a(B
-$B$N%3%^%s%I$O!"0lEY9M$(D>$7$?J}$,$$$$$+$b$7$l$J$$!#$b$C$H$b!"%b%8%e!<%k$r(B
-$B;H$$J,$1$F$k?M$J$I$=$&$$$J$$$@$m$&$+$i!">-MhE*$J2]Bj!#(B
-
 * $B30;z>pJsEy$N%G%#%9%/!&%-%c%C%7%e!#(B
 
 $BFC$K(B NDTPD $B%5!<%P$+$i30;z>pJs$rF@$k>l9g$J$I!"Kh2s%M%C%H%o!<%/$KIi2Y$r3](B
 $B$1$k$h$j$b!"<j85$N%G%#%9%/$K%-%c%C%7%e$r;D$7$?$$!#$=$l$[$IFq$7$$$3$H$G$b(B
 $B$J$$$,!"$J$1$l$P$J$i$J$$$b$N$G$b$J$$$N$G!"M%@h=g0L$OBg$-$/$J$$!#(B
 
-* SDIC $B<-=q%U%)!<%^%C%H$N%5%]!<%H!#(B
-
-sdic.el $B$GMQ$$$i$l$F$$$k9T;X8~$N<-=q%U%)!<%^%C%H(B SDIC $B$G=q$+$l$?<-=q$r!"(B
-ndic $B$GFI$a$k$h$&$K$9$k!#3HD%;R$r8+$F(B dictd $B7A<0$HH=JL$7!"N>J}$N:.:_$r(B
-$B5v$9$h$&$K$9$k!#(Belisp $B$K$h$kD>@\8!:w$H!"30It%W%m%0%i%`$K$h$k9bB.8!:w$N(B
-$BN>J}$r%5%]!<%H$9$k!#$^$?!"(BV.E.R.A. $B$J$I$N9T;X8~$N<-=qMQ$NJQ49%9%/%j%W%H(B
-$B$rMQ0U$9$k!#(B
-
 * and/or $B8!:w$NF3F~!#(B
 
 $B<-=q$,>r7o8!:w$J$I$KBP1~$7$F$$$J$$>l9g$G$b!"(BLookup $BB&$G8!:w$r7+$jJV$9$3(B
+1999-06-29  Kazuyoshi KOREEDA  <k_koreed@d2.dion.ne.jp>
+
+	* lookup-compile.el Fix a problem on XEmacs 21.2.
+
+1999-06-02  Keisuke Nishida  <kei@psn.net>
+
+	* lookup-entry.el (lookup-entry-show-menu): New command.
+	(lookup-entry-mode-map): New keybind `M' for the above.
+
+1999-05-24 Yoshimi KURUMA <yoshimik@iris.dti.ne.jp>
+	
+	* evi.el (split-string): Moved to ndspell.el with renaming.
+	* ndspell.el (lookup-split-string): Moved from evi.el with renaming.
+
+1999-05-20  Keisuke Nishida  <kei@psn.net>
+
+	* lookup-select.el (lookup-select-mode-map): Add key binding `o'.
+	* lookup-content.el (lookup-content-mode-map): Add key binding `f'.
+
+	* lookup-entry.el (lookup-entry-display): Set line-pattern properly.
+	(lookup-entry-previous-entry): Do properly even if ARG is nil.
+	(lookup-entry-previous-page): Go last entry from the end of a buffer.
+
+1999-05-13 Kazuhiro Ito <m1877334@msic.med.osaka-cu.ac.jp>
+
+	* lookup-types.el (lookup-dictionary-default-method):
+	Never returns nil.
+
+	* lookup.el (lookup-search-query):Don't check
+	lookup-dictionary-default-method's return value.
+
+1999-05-12 Satoru Takabayashi <satoru-t@is.aist-nara.ac.jp>
+
+	* sdicf.el: Fix some bugs and speed up
+	(commit by proxy for <tsuchiya@pine.kuee.kyoto-u.ac.jp>)
+
+1999-05-02 Satoru Takabayashi <satoru-t@is.aist-nara.ac.jp>
+
+	* lookup-vse.el (lookup-arrange-squeezed-references): modify 
+	search-forward-regexp to remove a garbage string "<gaiji:z0001>"
+
+
+1999-05-02 KURUMA Yoshimi  <yoshimik@iris.dti.ne.jp>
+
+	* lookup.el (lookup-search-pattern): The length of PATTERN is
+	changed to 80 (befere 40).
+
+	* ndict.el (ndict-dictionary-search): Neglect Non Ascii Character
+	in searching.
+
+1999-04-25 Kazuhiro Ito <m1877334@msic.med.osaka-cu.ac.jp>
+
+	* lookup-vse.el (lookup-arrange-squeezed-references): New function.
+
+	* ndeb.el: Add lookup-arrange-squeezed-references in default arranges.
+	Enable new dictionary option `:squeezed'.
+
+	* ndtp.el: Add lookup-arrange-squeezed-references in default arranges.
+	Enable new dictionary option `:squeezed'.
+
+1999-04-08 Kazuhiro Ito <m1877334@msic.med.osaka-cu.ac.jp>
+
+	* lookup-entry.el (lookup-entry-excursion):
+	Call lookup-entry-current-line-entry from entry buffer.
+
+1999-03-13  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup.el (lookup-module-forward): Set default-module always.
+
+	* lookup-types.el (lookup-gaiji-glyph-possible-p): Check window-system.
+
+	* ndnmz.el: Removed.
+
+1999-03-05  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-entry.el (lookup-entry-line-method): Removed.
+	(lookup-entry-display): Remove setting of `lookup-entry-line-method'.
+	Set `lookup-entry-line-pattern' to `lookup-search-pattern'.
+	(lookup-entry-mode): Remove `lookup-entry-line-method'.
+
+1999-03-02  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* ndtp.el (ndtp-with-dictionary): Fixed.
+	(Thanks to Takeshi Hagiwara!)
+
+1999-02-20  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-types.el (lookup-glyph-compose, lookup-glyph-paste,
+	lookup-bitmap-compose, lookup-bitmap-paste): Moved from lookup-defs.el.
+	* lookup-defs.el: Removed.
+
+	* lookup.el (lookup-module-forward, lookup-module-backward): Rewriten.
+	Take an optional argument.
+	(lookup-search-query): Fixed around stemming.
+
+	* lookup-vars.el.in (lookup-heading-low-face): Change foreground
+	"Grey".  Previous "SlateGrey" isn't defined in Mule for Win.
+	(lookup-init-gaiji-functions): Set paste-function by default.
+
+1999-02-18  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-types.el (lookup-history-ref): Return a symbol not error.
+	Ding instead of occuring an error.
+
+	* lookup-select.el: Renamed from `lookup-misc.el'.
+
+	* ndeb.el (ndeb-process-open): Set buffer name with directory.
+	* ndtp.el (ndtp-process-open): Set buffer name with server name.
+
+	* lookup.el (lookup-initialize): Just only loading init file.
+	(lookup-agent-list, lookup-agent-alist, lookup-module-list,
+	lookup-module-alist, lookup-dictionary-alist, lookup-default-module):
+	New functions.
+	(lookup-input-module, lookup-module-forward, lookup-module-backward,
+	lookup-get-module, lookup-get-agent, lookup-get-dictionary,
+	lookup, lookup-setup): Updated.
+	(lookup-exit): Set variables nil.
+	* lookup-types.el (lookup-new-module): Updated.
+
+	* lookup-content.el (lookup-content-cite-region): Deactivate mark
+	in Transient Mark mode.  Show message like `kill-ring-save'.
+	* lookup-entry.el (lookup-entry-cite-content): Call
+	`lookup-content-cite-region' internally.
+
+1999-02-17  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-vars.el.in (lookup-process-coding-system,
+	lookup-kakasi-coding-system): New variables.
+	* lookup-utils.el (lookup-with-coding-system): New macro.
+	(lookup-current-word-japanese): Set coding system for KAKASI.
+
+	* ndic.el: Set options directly.
+	(ndic-reference-pattern, ndic-default-arrange-functions,
+	ndic-default-adjust-functions): Removed.
+
+	* ndeb.el: Set options directly.
+	(ndeb-search-methods, ndeb-gaiji-regexp, ndeb-reference-pattern,
+	ndeb-default-heading-functions, ndeb-default-arrange-functions,
+	ndeb-default-adjust-functions): Removed.
+	(ndeb-process-coding-system): New variable.
+	(ndeb-agent-coding): Updated.
+	(ndeb-dictionary-coding): New function.
+	(ndeb-with-dictionary): Set dictionary coding-system.
+
+	* ndtp.el: Set options directly.
+	(ndtp-search-methods, ndtp-gaiji-regexp, ndtp-reference-pattern,
+	ndtp-default-heading-functions, ndtp-default-arrange-functions,
+	ndtp-default-adjust-functions): Removed.
+	(ndtp-service-name, ndtp-account-name): Removed.
+	(ndtp-agent-service, ndtp-agent-account): Set default directly.
+	(ndtp-process-coding-system): Set a symbol not cons.
+	(ndtp-agent-coding): Updated.
+	(ndtp-dictionary-coding): New function.
+	(ndtp-with-dictionary): Set dictionary coding-system.
+	(ndtp-require-select): Always enable gaijis if possible.
+
+	* ndict.el: Set options directly.
+	(ndict-reference-pattern, ndict-default-arrange-functions,
+	ndict-default-adjust-functions): Removed.
+	(ndict-service-name): Removed.
+	(ndict-agent-service): Set default directly.
+	(ndict-process-coding-system): Set a symbol not cons.
+	(ndict-agent-process): Updated.
+
+	* ndnmz.el: Set options directly.
+	(ndnmz-search-methods, ndnmz-default-arrange-functions,
+	ndnmz-default-adjust-functions): Removed.
+	(ndnmz-process-coding-system): New vairable.
+	(ndnmz-dictionary-search): Set coding-system.
+
+	* ndkks.el: Set options directly.
+	(ndkks-search-methods, ndkks-default-arrange-functions,
+	ndkks-default-adjust-functions): Removed.
+	(ndkks-process-coding-system): New vairable.
+	(ndkks-get-process): Set coding-system.
+
+	* ndspell.el: Set options directly.
+	(ndspell-search-methods): Removed.
+	(ndspell-process-coding-system): New variable.
+	(ndspell-get-process): Set coding-system.
+
+	* ndcookie.el (ndcookie-setup): Don't initialize.
+
+	* ndmisc.el: Set options directly.
+	(ndmisc-default-arrange-functions, ndmisc-default-adjust-functions):
+	Removed.
+
+1999-02-16  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-defs.el (lookup-glyph-insert): Removed.
+	(lookup-glyph-paste, lookup-bitmap-paste): New functions.
+	(lookup-bitmap-compose): Require bitmap.
+	* lookup-vars.el.in (lookup-gaiji-insert-function): Removed.
+	(lookup-gaiji-paste-function): New variable.
+	(lookup-init-gaiji-functions): Updated.
+	(lookup-cite-style, lookup-gaiji-style): Removed.
+	(lookup-gaiji-alternate): New variable.
+	* lookup-types.el (lookup-gaiji-glyph-insert): Removed.
+	(lookup-gaiji-glyph-paste): New function.
+	(lookup-gaiji-insert): Updated.
+	(lookup-new-gaiji-table): Set alternate to glyph by default.
+	* lookup-vse.el (lookup-vse-get-gaiji): Rewriten.  Remove 3rd arg
+	HEIGHT of gaiji command.
+	(lookup-adjust-show-gaijis): New function.
+	* ndeb.el (ndeb-dictionary-gaiji): Updated.
+	(ndeb-default-adjust-functions): Add `lookup-adjust-show-gaijis'.
+	* ndtp.el (ndtp-dictionary-gaiji): Updated.
+	(ndtp-default-adjust-functions): Add `lookup-adjust-show-gaijis'.
+
+	* lookup-types.el (lookup-word-search-methods): New method `stemming'.
+	(lookup-method-key-alist): Add key for `stemming'.
+	(lookup-dictionary-stemmer): New function.
+	(lookup-dictionary-init): Add `stemming' to dictionary-methods.
+	* lookup-vse.el (lookup-vse-search-query-internal): Rewriten.
+	* lookup-types.el (lookup-copy-entry): `lookup-entry-copy'.
+	* lookup.el (lookup-search-query): Updated.
+
+	* lookup-types.el (dictionary): Take new argument `title'.
+	(lookup-new-dictionary): New function.  Updated all agent files.
+
+	* lookup-types.el (lookup-agent-set-default): Use `plist-put'.
+	(lookup-agent-option): Use `plist-get' for defaults.
+	(lookup-dictionary-set-default): Use `plist-put'.
+	(lookup-dictionary-option): Use `plist-get' for defaults.
+
+	* lookup-types.el (dictionary): Remove the property `default-method'.
+	(lookup-dictionary-init): Remove setting of `default-method'.
+	(lookup-dictionary-default-method): New function.
+
+	* lookup-utils.el (lookup-multi-put, lookup-multi-get): Set symbol
+	by value not by plist.
+	* lookup-vse.el (lookup-entries-cache): New variable.
+	(lookup-entries-cache-clear): New function.
+	(lookup-contents-cache): New variable.
+	(lookup-contents-cache-clear): New function.
+	* lookup.el (lookup-exit): Clear caches.
+
+	* lookup-vse.el (lookup-fix-current-column): Removed.
+	(lookup-current-column): Removed
+	(lookup-arrange-fill-lines): Remove the incomplete fix for Mule bug.
+
+1999-02-15  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* Rewrite the definition of modules.
+
+	* lookup-vars.el.in (lookup-agent-list, lookup-agent-alist,
+	lookup-module-list, lookup-module-alist, lookup-dictionary-alist,
+	lookup-search-modules): New variable.
+	* lookup.el (lookup-initialize): Set aboves.
+	(lookup-get-module, lookup-get-agent, lookup-get-dictionary):
+	New functions.
+	* lookup-types.el (lookup-module-get-agent): Removed.
+	(lookup-module-get-dictionary): Removed.
+
+	* lookup-types.el (lookup-agent-init): Just only set properties.
+	(lookup-agent-setup): New function devided from `lookup-agent-init'.
+
+	* lookup-types.el (lookup-agent-clear): Change the clear command
+	name to `clear'.  All agents files are updated.
+	* ndic.el (ndic-clear): Renemed from `ndic-exit'.
+	* ndeb.el (ndeb-clear): Renamed from `ndeb-exit'.
+	* ndtp.el (ndtp-clear): Renemed from `ndtp-exit'.
+	* ndict.el (ndict-clear): Renemed from `ndict-exit'.
+	* ndnmz.el (ndnmz-clear): Renemed from `ndnmz-exit'.
+	* ndkks.el (ndkks-clear): Renemed from `ndkks-exit'.
+	* ndspell.el (ndspell-clear): Renemed from `ndspell-exit'.
+	* ndcookie.el (ndcookie-clear): Renamed from `ndcookie-exit'.
+
+	* lookup-types.el (module): Redefine.
+	(lookup-new-module, lookup-module-init): Rewriten.
+	(lookup-module-setup): New function.
+	(lookup-module-initialized-p): Removed.
+	* lookup.el (lookup-exit, lookup-start-session): Updated.
+
+1999-02-13  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-types.el (lookup-dictionary-init): Fixed to set
+	gaiji-table by default.
+
+1999-02-13  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* evi.el (char-charset): Removed.  This may be defined in APEL.
+	* lookup-utils.el (lookup-current-word): Redefine.
+
+1999-02-11  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-vars.el.in (lookup-byte-compile): New variable.
+	* lookup-compile.el: Set `lookup-byte-compile' t before compiling.
+	* lookup.el: Initialize at the end of file exept in time of compiling.
+
+1999-02-10  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* evi.el (char-charset): Define using `char-leading-char' on Mule.
+	* lookup-utils.el (lookup-current-word): Updated.
+	(lookup-current-word-japanese): Updated.
+
+	* lookup.el (lookup-exit): Take a prefix argument.
+
+	* sdicf.el: New file.
+
+1999-02-08  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup.el (lookup-exit): Not set `lookup-module-alist' nil.
+
+	* ndeb.el (ndeb-agent-directory, ndeb-agent-appendix): Expand filename.
+
+1999-02-06  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-entry.el (lookup-entry-update): Fixed to set session module.
+
+1999-02-05  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-vse.el (lookup-arrange-references, lookup-vse-get-menu):
+	Fixed to arrange heading.
+	(lookup-vse-search-query-internal): Fixed duplication of stemming.
+
+	* lookup.el (lookup-module-forward): New command.
+	* lookup-entry.el (lookup-entry-mode-map): Bind aboves.
+
+1999-02-04  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* ndeb.el (ndeb-process-coding-system): Removed.
+
+	* ndspell.el (ndspell-dynamic-search): Use `lookup-current-session'.
+
+	* lookup-vse.el (lookup-vse-search-query-internal): Abolish filtering.
+	(lookup-vse-get-gaiji): Fixed not to error for invalid gaiji code.
+
+	* Change the style of `lookup-search-agents' and options' key.
+	Many files ware updated.
+	* lookup-types.el (agent): Don't take ARGS.
+	(lookup-new-agent, lookup-agent-option): Updated.
+
+	* Abolish suspending agent.
+	* lookup-types.el (lookup-agent-suspend): Removed.
+	* lookup.el (lookup-suspend): Updated.
+	* ndtp.el (ndtp-suspend, ndtp-agent-suspend-p): Removed.
+
+	* lookup-misc.el (lookup-select-goto-first): New function.
+	(lookup-select-display, lookup-select-do-select-all,
+	lookup-select-do-select-only, lookup-select-do-execute): Use above.
+
+1999-02-03  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* Rewrite around the concept `session'.
+
+	* lookup-vars.el.in (lookup-current-module): Removed.
+	(lookup-current-session, lookup-last-session): New variables.
+	* lookup-types.el (lookup-with-module): Removed.
+	* lookup.el (lookup, lookup-suspend, lookup-exit): Updated.
+	(lookup-search-pattern): Take two argument.
+	(lookup-pattern): Updated.
+	(lookup-start-session): New macro.
+	(lookup-open-session): New function.
+
+	* lookup-types.el (lookup-session-append-entries): Removed.
+	(lookup-session-ref, lookup-session-display,
+	lookup-session-save-excursion): New functions.
+	* lookup-entry.el (lookup-entry-append): Take two arguments.
+
+	* lookup.el: New session `lookup-select-session'.
+	(lookup-select-dictionary): New function.
+	* lookup-misc.el (lookup-select-display): Renamed from
+	`lookup-select-dictionary' and update for select session.
+	(lookup-select-do-execute, lookup-select-update,
+	lookup-select-point-dictionary): Updated.
+	(lookup-select-point-dictionary): Renamed from
+	`lookup-select-current-line-dictionary'.  Many functions ware updated.
+
+	* lookup.el: New session `lookup-search-session'.
+	(lookup-search-query): Rewriten.
+	(lookup-display-entries): New function replacing `lookup-open-session'.
+	* lookup-content.el (lookup-content-follow-link): Use above.
+	* lookup-entry.el (lookup-entry-list-references): Ditto.
+	* lookup-misc.el (lookup-select-menu,lookup-select-text-search): Ditto.
+	(lookup-select-search-pattern): Updated.
+
+	* lookup-entry.el (lookup-entry-current-session): Removed.
+	(lookup-entry-display): Updated.
+	* lookup-entry.el (lookup-entry-search-pattern, lookup-entry-update,
+	lookup-entry-expand-reference): Updated.
+	(lookup-entry-select-dictionary): New command.
+
+	* lookup-types.el (lookup-history-ref): Make second argument `n'
+	optional.  Error directly for an invalid move.
+	(lookup-history-clear): New function.
+	(lookup-new-module): Make history this time.
+	(lookup-module-clear): Clear history.
+	* lookup.el (lookup): Display session in the history.
+	(lookup-history-next, lookup-history-previous): New commands.
+	* lookup-entry.el (lookup-entry-history-next,
+	lookup-entry-history-previous): Removed.
+	(lookup-entry-mode-map): Bind aboves.
+	* lookup-misc.el (lookup-select-mode-map): Bind aboves.
+
+	* lookup-vars.el.in (lookup-window-buffers): Removed.
+	* lookup.el (lookup-quit): Removed.  Use `lookup-suspend' instead.
+	(lookup-suspend, lookup-pop-to-buffer): Updated.
+
+1999-01-29  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
+
+	* lookup-types.el (lookup-new-agent): Don't take title and init.
+	* lookup-vars.el.in (lookup-search-module): Delete variable.
+	(lookup-module-alist, lookup-default-module): New variables.
+	* lookup.el (lookup-initialize): Set aboves.
+	(lookup-input-module-history): New variable.
+	(lookup-input-module, lookup-input-module-arg): New functions.
+	(lookup): Take new arg `module'.
+	(lookup-pattern-input, lookup-word-input, lookup-region-input):
+	New functions.
+	(lookup-pattern, lookup-pattern-full-screen, lookup-pattern-other-frame,
+	lookup-word, lookup-word-full-screen, lookup-word-other-frame,
+	lookup-region, lookup-region-full-screen, lookup-region-other-frame):
+	Take new arg `module'.
+	(lookup-setup, lookup-exit): Use `lookup-module-alist'.
+
+	* lookup.el (lookup-entry-buffer, lookup-content-buffer,
+	lookup-select-buffer): Add a space(` ') beginning of the buffer name.
+	* lookup-entry.el (lookup-entry-mode): Remove a space before "%b"
+	of the mode line string.
+	* lookup-content.el (lookup-content-mode): Ditto.
+	* lookup-select.el (lookup-select-mode): Ditto.
+
+	* ndcookie.el (ndcookie-setup, ndcookie-dictionary-search):
+	Return a cookie at random.
+
 1999-01-28  NISHIDA Keisuke  <knishida@nn.iij4u.or.jp>
 
 	* Version 1.0pre9 released.
 SOURCES = evi.el evi-mule.el lookup.el lookup-utils.el lookup-types.el \
-	  lookup-defs.el lookup-vse.el lookup-package.el \
-	  lookup-entry.el lookup-content.el lookup-misc.el \
-	  ndic.el ndeb.el ndtp.el ndict.el ndnmz.el ndkks.el ndspell.el \
-	  ndcookie.el ndmisc.el stem-english.el
+	  lookup-vse.el lookup-package.el \
+	  lookup-entry.el lookup-content.el lookup-select.el \
+	  ndic.el ndeb.el ndtp.el ndict.el ndkks.el ndspell.el \
+	  ndcookie.el ndmisc.el ndsrd.el sdicf.el stem-english.el
 EXTRA_DIST = lookup-vars.el.in lookup-compile.el
 DISTCLEANFILES = lookup-vars.el
 
 emacsdir = @emacsdir@
 lispdir = @lispdir@
 
-SOURCES = evi.el evi-mule.el lookup.el lookup-utils.el lookup-types.el 	  lookup-defs.el lookup-vse.el lookup-package.el 	  lookup-entry.el lookup-content.el lookup-misc.el 	  ndic.el ndeb.el ndtp.el ndict.el ndnmz.el ndkks.el ndspell.el 	  ndcookie.el ndmisc.el stem-english.el
+SOURCES = evi.el evi-mule.el lookup.el lookup-utils.el lookup-types.el 	  lookup-vse.el lookup-package.el 	  lookup-entry.el lookup-content.el lookup-select.el 	  ndic.el ndeb.el ndtp.el ndict.el ndkks.el ndspell.el 	  ndcookie.el ndmisc.el ndsrd.el sdicf.el stem-english.el
 
 EXTRA_DIST = lookup-vars.el.in lookup-compile.el
 DISTCLEANFILES = lookup-vars.el
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$/$$file $(distdir)/$$file; \
+	    cp -pr $$d/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
 lookup-vars.el      - $BJQ?t$N@k8@(B
 lookup-utils.el     - $B%f!<%F%#%j%F%#4X?t(B
 lookup-types.el     - $B%G!<%?9=B$(B
-lookup-defs.el      - $B4D6-0MB8@k8@(B
 lookup-vse.el       - $B8!:w%k!<%A%s(B
 
 == mode files ==
 
 lookup-entry.el     - Entry mode
 lookup-content.el   - Content mode
-lookup-misc.el      - Select mode
+lookup-select.el    - Select mode
 
 == optional files ==
 
 ndnmz.el            - Namazu $B%$%s%?!<%U%'!<%9(B
 ndspell.el          - $B%9%Z%k%A%'%C%/(B/$B8!:w(B
 ndcookie.el         - cookie $B%U%!%$%k$+$i8!:w(B
-ndmisc.el           - $B2>A[%(!<%8%'%s%H(B
+ndmisc.el           - $B;(MQ%(!<%8%'%s%H(B
 
 == other files ==
 
 evi*.el             - Emacs $B$N%P!<%8%g%s3V:9$r5[<}(B
-stem-english.el     - $B1QC18l$N8lHx$r<h$j=|$/(B
+sdicf.el            - SDIC $B7A<0<-=q$N%"%/%;%9MQ%i%$%V%i%j(B
+stem-english.el     - $B1QC18l$N8lHx$r<h$j=|$/%i%$%V%i%j(B
 some memos						-*- outline -*-
 
-* cite $B4X78$N=hM}$NA4LL8+D>$7!#(B
+* ndict $B%G%U%)%k%H$G(B stemming
 
-* prefix $B$G<-=qA*Br$7$F8!:w(B?
+* location $B$K(B `:' $B$,F~$C$F$k$HLdBj$K$J$k!#(B
 
-* select mode `f' $B$G%+!<%=%k9T<-=q$G8!:w(B?
+* stem $B<~$j$N=$@5!#(B
 
-* $B%j%U%!%l%s%9:F8!:w$GB>$N<-=q$+$i$b8!:w(B?
+* process-coding $B$N@_Dj!#(B
 
-* exact $B$G8+IU$+$C$?$H$-$K$b(B stemming $B$rB3$1$k!#(B
+* $B%b%8%e!<%kKh$K<-=qA*Br!#(B
 
-* "compromises" -> *2
+* $BMzNr$K>e8B$r@_$1$k!#(B
+
+* lookup-entry-expand-reference $B$G%k!<%WL58B!#(B(famiry)
+
+* process-mark $B$rMxMQ!#(B
+
+* lookup-require-process $B$,(B XEmacs $B$G40`z$G$J$$!#(B
 
 * $B%U%l!<%`4IM}$,$$$^$$$A(B
 
-* lookup-require-process $B$,(B XEmacs $B$G40`z$G$J$$!#(B
-
 * LF $B$,(B whitespace $B$J(B syntax $B$N%b!<%I$G$O(B lookup-current-word $B$,9T$r$^$?$0!#(B
 
-* exit $B$G(B entry $B$J$I$N%-%c%C%7%e%/%j%"$,=PMh$F$$$J$$!#(B
-
-* $B%(!<%8%'%s%H$,%;%C%H%"%C%W$N:GCf$K%(%i!<$K$J$C$?>l9g!"E,@Z$KI|5"$G$-$J$$!#(B
-$BCJ3,$rJ,$1$F=i4|2=$7$?J}$,$$$$$+$b$7$l$J$$!#(B
-
-* $B<-=q$,BP1~$7$F$J$$8!:wK!$,;XDj$5$l$?>l9g!"C1=c$KL5;k$7$F$$$k!#(B
-
 * format $B$N@_Dj$r<-=qKh$K9T$J$o$J$$$H$$$1$J$$$N$OLLE]!#(B
 $B0lEY$K@_Dj$rJQ$($k$?$a$N4J7i$JJ}K!$r9M$($k!#(B
 
 ;;; evi-mule.el --- integrate some Mule futures
-;; Copyright (C) 1998 NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
+
+;; Author: Keisuke Nishida <kei@psn.net>
+;; Version: $Id$
 
 ;; This file is part of `evi'.
 
 ;;; evi.el --- Emacs version integrator
-;; Copyright (C) 1998,1999 NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
+
+;; Author: Keisuke Nishida <kei@psn.net>
+;; Version: $Id$
 
 ;; This file is part of `evi'.
 
 	      (substring string (match-beginning num) (match-end num))
 	    (buffer-substring (match-beginning num) (match-end num))))))
 
-(or (fboundp 'split-string)
-    (defun split-string (string &optional separators)
-      (let ((rexp (or separators "[ \f\t\n\r\v]+"))
-	    (start 0) (list nil))
-	(while (string-match rexp string start)
-	  (or (eq (match-beginning 0) 0)
-	      (setq list (cons (substring string start (match-beginning 0))
-			       list)))
-	  (setq start (match-end 0)))
-	(or (eq start (length string))
-	    (setq list (cons (substring string start) list)))
-	(nreverse list))))
-
 (or (fboundp 'buffer-substring-no-properties)
     (defun buffer-substring-no-properties (start end)
       (format "%s" (buffer-substring start end))))

lisp/lookup-compile.el

 
 (defvar lookup-optional-packages '("bitmap" "browse-url"))
 
-(let ((load-path (cons nil load-path))
-      (byte-compile-warnings nil))
+(let ((load-path (cons "." load-path))
+      (byte-compile-warnings nil)
+      (lookup-byte-compile t))
   (mapcar 'load command-line-args-left)
   (mapcar (lambda (file) (load file t)) lookup-optional-packages)
-  (batch-byte-compile))
+  (if (not (boundp 'lookup-compile-directory))
+      (batch-byte-compile)
+    (mapcar (lambda (file)
+	      (byte-compile-file
+	       (expand-file-name file lookup-compile-directory)))
+	    command-line-args-left)))
 
 ;;; lookup-compile.el ends here

lisp/lookup-content.el

 ;;; lookup-content.el --- lookup-content-mode
-;; Copyright (C) 1997,1998,1999 NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
 
-;; Author: NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Author: Keisuke Nishida <kei@psn.net>
 ;; Version: $Id$
 
 ;; This file is part of Lookup.
   (define-key lookup-content-mode-map "t" 'lookup-content-toggle-format)
   (define-key lookup-content-mode-map "w" 'lookup-content-cite-region)
   (define-key lookup-content-mode-map "h" 'lookup-content-entry-window)
+  (define-key lookup-content-mode-map "f" 'lookup-entry-search-pattern)
   (define-key lookup-content-mode-map "g" 'lookup-content-update)
   (define-key lookup-content-mode-map "q" 'lookup-content-leave)
   (define-key lookup-content-mode-map "?" 'lookup-content-help)
   (setq major-mode 'lookup-content-mode)
   (setq mode-name "Content")
   (setq mode-line-buffer-identification
-	'("Lookup: %b {" lookup-content-line-heading "}"))
+	'("Lookup:%b {" lookup-content-line-heading "}"))
   (setq buffer-read-only t)
   (use-local-map lookup-content-mode-map)
   (run-hooks 'lookup-content-mode-hook))
   (interactive)
   (let ((entry (lookup-get-link (point))))
     (if entry
-	(let* ((heading (lookup-entry-heading lookup-content-current-entry))
+	(let* ((module (lookup-session-module lookup-current-session))
+	       (heading (lookup-entry-heading lookup-content-current-entry))
 	       (query (lookup-make-query 'reference heading))
 	       (entries (if (not (lookup-reference-p entry))
 			    (list entry)
 			  (lookup-reference-refer entry)
 			  (lookup-reference-entries entry))))
 	  (if entries
-	      (lookup-open-session (lookup-make-session query entries))
+	      (lookup-display-entries module query entries)
 	    (error "This link is torn off")))
       (error "No link here"))))
 
   "$B%j!<%8%g%s$NFbMF$r%-%k%j%s%0$KJ]B8$9$k!#(B
 $B$=$N:]!"JQ?t(B `lookup-cite-header' $B$^$?$O<-=q%*%W%7%g%s(B `cite-header'
 $B$K$h$j0zMQ;~$N%X%C%@$r!"JQ?t(B `lookup-cite-prefix' $B$^$?$O<-=q%*%W%7%g%s(B
-`cite-prefix' $B$K$h$j0zMQ;~$N%W%l%U%#%/%9$r;XDj$9$k$3$H$,=PMh$k!#(B
-\[$B8=:_!"(Bxxx: cite-style $B$K$OL$BP1~(B\]"
+`cite-prefix' $B$K$h$j0zMQ;~$N%W%l%U%#%/%9$r;XDj$9$k$3$H$,=PMh$k!#(B"
   (interactive "r")
   (let* ((dictionary (lookup-entry-dictionary lookup-content-current-entry))
-	 (header (or (lookup-dictionary-option dictionary 'cite-header t)
+	 (header (or (lookup-dictionary-option dictionary ':cite-header t)
 		     lookup-cite-header))
-	 (prefix (or (lookup-dictionary-option dictionary 'cite-prefix t)
+	 (prefix (or (lookup-dictionary-option dictionary ':cite-prefix t)
 		     lookup-cite-prefix))
 	 (contents (buffer-substring-no-properties start end)))
     (when prefix
 	  (setq header (replace-match title t t header))))
       (setq contents (concat header contents)))
     (kill-new contents)
-    (message "Saved text for `%s'"
-	     (lookup-entry-heading lookup-content-current-entry))))
+    (if transient-mark-mode (setq deactivate-mark t))
+    (when (interactive-p)
+      (if (pos-visible-in-window-p (mark) (selected-window))
+	  (let ((inhibit-quit t))
+	    (save-excursion (goto-char (mark)) (sit-for 1)))
+	(let ((len (min (abs (- end start)) 40)))
+	  (if (= (point) start)
+	      (message "Saved text until \"%s\""
+		       (buffer-substring (- end len) end))
+	    (message "Saved text from \"%s\""
+		     (buffer-substring start (+ start len)))))))))
 
 (defun lookup-content-entry-window ()
   "Entry $B%P%C%U%!$K0\F0$9$k!#(B"

lisp/lookup-entry.el

 ;;; lookup-entry.el --- lookup-entry-mode
-;; Copyright (C) 1997,1998,1999 NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Copyright (C) 1999 Lookup Development Team <lookup@ring.gr.jp>
 
-;; Author: NISHIDA Keisuke <knishida@ring.aist.go.jp>
+;; Author: Keisuke Nishida <kei@psn.net>
 ;; Version: $Id$
 
 ;; This file is part of Lookup.
 ;:: Internal variables
 ;;;
 
-;; $B%P%C%U%!$,I=<($7$F$$$k%;%C%7%g%s$rJ];}$9$k!#(B
-(defvar lookup-entry-current-session nil)
-
-;; $B%b!<%I%i%$%s9T$KI=<($9$k>pJs!#(B
-(defvar lookup-entry-line-method "")
 (defvar lookup-entry-line-pattern "")
 (defvar lookup-entry-line-number "0")
 
-(make-variable-buffer-local 'lookup-entry-current-session)
-(make-variable-buffer-local 'lookup-entry-line-method)
 (make-variable-buffer-local 'lookup-entry-line-pattern)
 (make-variable-buffer-local 'lookup-entry-line-number)
 
 ;: Construct Buffer
 ;;;;;;;;;;;;;;;;;;;;
 
-;; Abstruct:
-;;
-;; Entry $B%P%C%U%!$K=PNO$9$Y$->pJs$O!"8!:w%;%C%7%g%s$N%*%V%8%'%/%H$H$7$F(B
-;; $BJ];}$5$l$F$$$k!#4X?t(B `lookup-entry-display-session' $B$K$h$j!"$3$l$NI=<($r(B
-;; $B9T$J$&!#(B
-;;
-;; $B2hLL$X$N=PNO$O!"8!:w$N?J9T>u67$K9g$o$;$F%@%$%J%_%C%/$K9T$J$&$3$H$,=PMh$k!#(B
-;; $BJQ?t(B `lookup-dynamic-display' $B$K$h$j$3$l$r@)8f$9$k!#(Bnon-nil $B$,;XDj$5$l$?(B
-;; $B>l9g!"=PNO$N$=$NETEY$K2hLL$,99?7$5$l$k!#$=$N>l9g!"%;%C%7%g%s$K?7$?$J(B
-;; $B%(%s%H%j$rDI2C$9$k$K$O!"4X?t(B `lookup-entry-append' $B$rMQ$$$k!#(B
-
-(defun lookup-entry-display-session (session)
+(defun lookup-entry-display (session)
   (with-current-buffer (lookup-open-buffer (lookup-entry-buffer))
     (let ((query (lookup-session-query session))
 	  (entries (lookup-session-entries session))
 	  (excursion (lookup-session-excursion session)))
-      ;; $B:#2s$N%;%C%7%g%s$rI=<($9$kA0$K!"A02s$N<B9T>uBV$r5-O?$7$F$*$/!#(B
-      (if lookup-entry-current-session
-	  (lookup-session-set-excursion lookup-entry-current-session
-					(lookup-entry-current-excursion)))
-      ;; $B%;%C%7%g%s$NA4$F$N%(%s%H%j$rA^F~$9$k!#(B
+      ;; insert entries
       (let ((inhibit-read-only t))
 	(lookup-entry-mode)
 	(erase-buffer)
 	(lookup-foreach 'lookup-entry-insert entries))
-      ;; $B:#2s$N%;%C%7%g%s$N>pJs$r5-O?$9$k!#%b!<%I%i%$%s$b%;%C%H$9$k!#(B
-      (setq lookup-entry-current-session session)
-      (setq lookup-entry-line-method (lookup-method-key
-				      (lookup-query-method query)))
+      ;; set mode line
       (setq lookup-entry-line-pattern (lookup-query-string query))
       (setq lookup-entry-line-number (number-to-string (length entries)))
-      ;; $B%P%C%U%!$rI=<($7!"%&%#%s%I%&$r0\F0$9$k!#<B9T>uBV$,5-O?$5$l$F$$$?(B
-      ;; $B>l9g$K$O!"$=$l$rI|85$9$k!#$G$J$1$l$P!"%P%C%U%!$N@hF,$K0\F0$9$k!#(B
+      ;; display buffer
       (if excursion
 	  (lookup-entry-set-excursion excursion)
-	(lookup-pop-to-buffer (lookup-entry-buffer))
+	(lookup-pop-to-buffer (current-buffer))
 	(goto-char (point-min))
 	(lookup-entry-goto-link)
 	(if lookup-dynamic-display (sit-for 0))
 	(lookup-entry-display-content)
 	(if lookup-dynamic-display (sit-for 0))))))
 
-(defun lookup-entry-append (entries)
+(defun lookup-entry-append (session entries)
   (with-current-buffer (lookup-entry-buffer)
     (goto-char (prog1 (point)
 		 (let ((inhibit-read-only t))
 		   (goto-char (point-max))
 		   (lookup-foreach 'lookup-entry-insert entries))))
-    (lookup-session-add-entries lookup-entry-current-session entries)
+    (let ((entries (append (lookup-session-entries session) entries)))
+      (lookup-session-set-entries session entries))
     (setq lookup-entry-line-number
 	  (number-to-string (+ (string-to-number lookup-entry-line-number)
 			       (length entries))))
 	(goto-char start)
 	(lookup-entry-goto-link))
       ;; replace cache
-      (let ((list (lookup-session-entries lookup-entry-current-session)))
+      (let ((list (lookup-session-entries lookup-current-session)))
 	(if (eq reference (car list))
 	    (setq list (append entries (cdr list)))
 	  (while (not (eq reference (cadr list))) (setq list (cdr list)))
   ;; $B%(%s%H%j9T$r%P%C%U%!$KA^F~$7!"%j%s%/$r%;%C%H$9$k!#(B
   (let ((dictionary (lookup-entry-dictionary entry))
 	(prefix (lookup-entry-prefix entry))
-	(heading (lookup-entry-heading entry)))
+	(heading (lookup-entry-heading entry))
+	start end)
     (insert (format "%-19s " (lookup-dictionary-title dictionary)))
     ;; property $B$d(B extent $B$r<!$N9T$K$^$?$,$J$$$h$&$K@h$K(B newline $B$7$F$*$/!#(B
     (newline)
     (backward-char)
-    (lookup-entry-set-link (point) (progn (if prefix (insert prefix))
-					  (insert heading) (point)) entry)
+    (setq start (point)
+	  end (progn (if prefix (insert prefix)) (insert heading) (point)))
+    (lookup-entry-set-link start end entry)
+    (lookup-map-over-property start end
+			      'lookup-gaiji 'lookup-gaiji-glyph-paste)
     (forward-char)))
 
 ;; Excursion:
-;;
-;; Entry $B%P%C%U%!!"5Z$S(B Content $B%P%C%U%!$N<B9T>uBV$O!"4X?t(B
-;; `lookup-entry-current-excursion' $B$K$h$jF@$k$3$H$,=PMh$k!#(B
-;; $B4X?t(B `lookup-entry-set-excursion' $B$K$h$j$=$l$rI|85$9$k!#(B
 
-(defun lookup-entry-current-excursion ()
-  ;; $B%P%C%U%!$N8=:_$N<B9T>uBV$rJV$9!#$3$l$O6qBNE*$K$O!"(BEntry $B%P%C%U%!$H(B
-  ;; Content $B%P%C%U%!$N%]%$%s%?0LCV$H%&%#%s%I%&$N3+;O0LCV$N%;%C%H!#(B
-  ;; FIXME: $B%P%C%U%!$,B8:_$7$J$$>l9g$K$bBP=h$9$Y$7!#(B
-  (cons (with-current-buffer (lookup-entry-buffer)
-	  (cons (point) (let ((window (get-buffer-window (current-buffer))))
-			  (if window (window-start window)))))
-	(with-current-buffer (lookup-content-buffer)
-	  (cons (point) (let ((window (get-buffer-window (current-buffer))))
-			  (if window (window-start window)))))))
+(defun lookup-entry-excursion ()
+  (let ((entry (get-buffer (lookup-entry-buffer)))
+	(content (get-buffer (lookup-content-buffer))))
+    (when entry
+      (cons (with-current-buffer entry
+	      (cons (point) (let ((window (get-buffer-window entry)))
+			      (if window (window-start window)))))
+	    (when (and content (with-current-buffer entry
+				 (lookup-entry-current-line-entry)))
+	      (with-current-buffer content
+		(cons (point) (let ((window (get-buffer-window content)))
+				(if window (window-start window))))))))))
 
 (defun lookup-entry-set-excursion (excursion)
-  ;; $B%P%C%U%!$N<B9T>uBV$r%;%C%H$9$k!#(B
-  (let ((entry-position (caar excursion))
-	(entry-start (cdar excursion))
-	(content-position (cadr excursion))
-	(content-start (cddr excursion)))
-    ;; set entry excursion
+  (let ((entry-point (caar excursion)) (entry-start (cdar excursion))
+	(content (cdr excursion)))
     (lookup-pop-to-buffer (lookup-entry-buffer))
-    (goto-char entry-position)
+    (goto-char entry-point)
     (if entry-start
 	(set-window-start (selected-window) entry-start))
-    ;; set content excursion
-    (when (lookup-entry-current-line-entry)
-      (lookup-entry-display-content)
+    (lookup-entry-display-content)
+    (when content
       (lookup-with-buffer-and-window (lookup-content-buffer)
-	(goto-char content-position)
-	(if content-start
-	    (set-window-start (selected-window) content-start))))))
+	(goto-char (car content))
+	(if (cdr content)
+	    (set-window-start (selected-window) (cdr content)))))))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;:  Lookup Entry mode
   (define-key lookup-entry-mode-map ">" 'lookup-entry-end-of-content)
   (define-key lookup-entry-mode-map "n" 'lookup-entry-next-entry)
   (define-key lookup-entry-mode-map "p" 'lookup-entry-previous-entry)
-  (define-key lookup-entry-mode-map "\en" 'lookup-entry-history-next)
-  (define-key lookup-entry-mode-map "\ep" 'lookup-entry-history-previous)
+  (define-key lookup-entry-mode-map "\en" 'lookup-history-next)
+  (define-key lookup-entry-mode-map "\ep" 'lookup-history-previous)
+  (define-key lookup-entry-mode-map "\ef" 'lookup-module-forward)
+  (define-key lookup-entry-mode-map "\eb" 'lookup-module-backward)
   (define-key lookup-entry-mode-map "i" 'lookup-entry-info)
   (define-key lookup-entry-mode-map "o" 'lookup-entry-open)
   (define-key lookup-entry-mode-map "O" 'lookup-entry-open-other)
   (define-key lookup-entry-mode-map "s" 'lookup-entry-isearch-content)
   (define-key lookup-entry-mode-map "w" 'lookup-entry-cite-content)
   (define-key lookup-entry-mode-map "f" 'lookup-entry-search-pattern)
-;  (define-key lookup-entry-mode-map "I" 'lookup-entry-list-index)
+;  (define-key lookup-entry-mode-map "I" 'lookup-entry-show-index)
+  (define-key lookup-entry-mode-map "M" 'lookup-entry-show-menu)
   (define-key lookup-entry-mode-map "L" 'lookup-entry-list-references)
 ;  (define-key lookup-entry-mode-map "H" 'lookup-entry-list-history)
-  (define-key lookup-entry-mode-map "S" 'lookup-select-dictionary)
+  (define-key lookup-entry-mode-map "S" 'lookup-entry-select-dictionary)
   (define-key lookup-entry-mode-map "r" 'lookup-entry-start-window)
   (define-key lookup-entry-mode-map "h" 'lookup-entry-content-window)
   (define-key lookup-entry-mode-map "g" 'lookup-entry-update)
-  (define-key lookup-entry-mode-map "q" 'lookup-quit)
+  (define-key lookup-entry-mode-map "q" 'lookup-suspend)
   (define-key lookup-entry-mode-map "Q" 'lookup-exit)
   (define-key lookup-entry-mode-map "R" 'lookup-restart)
   (define-key lookup-entry-mode-map "?" 'lookup-entry-help)
 `t'(oggle) - $B@07A=hM}$r%H%0%k(B 	`w'(rite) - $BFbMF$r%-%k%j%s%0$KJ]B8(B
 `f'(ind)   - $B8!:w8l$rF~NO(B
 
+`M'(enu)   - $B<-=q$N%a%K%e!<I=<((B
 `L'(inks)  - $B%j%U%!%l%s%9$r0lMw(B `S'(elect) - $B<-=qA*Br%b!<%I(B
 
 `r'   - $B8!:w3+;O%P%C%U%!$K0\F0(B  `h'   - Content $B%P%C%U%!$K0\F0(B
   (setq major-mode 'lookup-entry-mode)
   (setq mode-name "Entry")
   (setq mode-line-buffer-identification
-	'("Lookup: %b {" lookup-entry-line-method ":"
-	  lookup-entry-line-pattern "} [" lookup-entry-line-number "]"))
+	'("Lookup:%b {" lookup-entry-line-pattern "} ["
+	  lookup-entry-line-number "]"))
   (setq truncate-lines t)
   (setq buffer-read-only t)
   (use-local-map lookup-entry-mode-map)
 $B%P%C%U%!$N=*$o$j$^$GC#$7$?$i!"<!$N%(%s%H%j$K0\F0$9$k!#(B"
   (interactive)
   (cond
-   ((not (lookup-entry-content-visible-p))
-    (lookup-entry-display-content))
+   ((not (lookup-entry-current-line-entry)) nil)
+   ((not (lookup-entry-content-visible-p)) (lookup-entry-display-content))
    ((lookup-with-buffer-and-window (lookup-content-buffer)
       (not (pos-visible-in-window-p (point-max) (selected-window))))
     (lookup-entry-scroll-up-content))
 $B%P%C%U%!$N;O$a$^$GC#$7$?$i!"A0$N%(%s%H%j$K0\F0$9$k!#(B"
   (interactive)
   (cond
-   ((not (lookup-entry-content-visible-p))
-    (lookup-entry-display-content))
+   ((not (lookup-entry-current-line-entry)) (lookup-entry-previous-entry))
+   ((not (lookup-entry-content-visible-p)) (lookup-entry-display-content))
    ((lookup-with-buffer-and-window (lookup-content-buffer)
       (not (pos-visible-in-window-p (point-min) (selected-window))))
     (lookup-entry-scroll-down-content))
 (defun lookup-entry-next-entry (&optional arg)
   "$B<!$N%(%s%H%j$rI=<($9$k!#%W%l%U%#%/%9$N?t$@$1?J$`!#(B"
   (interactive "p")
-  (if (eobp) (ding)
+  (if (eobp)
+      (progn (message "End of buffer") (ding))
     (forward-line arg)
     (lookup-entry-goto-link)
     (or (pos-visible-in-window-p (save-excursion (forward-line) (point)))
   "$BA0$N%(%s%H%j$rI=<($9$k!#%W%l%U%#%/%9$N?t$@$1La$k!#(B"
   (interactive "p")
   (beginning-of-line)
-  (if (bobp) (ding)
-    (forward-line (- arg))
+  (if (bobp)
+      (progn (message "Beginning of buffer") (ding))
+    (forward-line (- (or arg 1)))
     (lookup-entry-goto-link)
     (or (pos-visible-in-window-p (save-excursion (forward-line -1) (point)))
 	(recenter 1))
     (lookup-entry-display-content)))
 
-(defun lookup-entry-history-next (&optional arg)
-  "$B8!:wMzNr$r<!$K?J$`!#%W%l%U%#%9%/$N?t$@$1?J$`!#(B"
-  (interactive "p")
-  (let* ((history (lookup-module-history lookup-current-module))
-	 (session (lookup-history-ref history (or arg 1))))
-    (cond
-     ((eq session 'no-object) (error "can't happen!"))
-     ((eq session 'first) (error "This is first session"))
-     ((eq session 'last) (error "This is last session"))
-     (t
-      (lookup-entry-display-session session)
-      (message "%d" (lookup-history-position history))))))
-
-(defun lookup-entry-history-previous (&optional arg)
-  "$B8!:wMzNr$rA0$KLa$k!#%W%l%U%#%9%/$N?t$@$1La$k!#(B"
-  (interactive "p")
-  (lookup-entry-history-next (- (or arg 1))))
-
 (defun lookup-entry-info ()
   "$B%(%s%H%j$N>pJs$r=PNO$9$k!#(B"
   (interactive)
 
 (defun lookup-entry-cite-content ()
   "$B%(%s%H%jK\J8$r%-%k%j%s%0$KJ]B8$9$k!#(B
-$BJQ?t(B `lookup-cite-style' $B$b$7$/$O<-=q%*%W%7%g%s(B `cite-style' $B$K$h$j(B
-$B0zMQ$N%9%?%$%k$r;XDj2DG=!#(B\\[lookup-content-cite-region] $B$b;2>H!#(B"
+See also `lookup-content-cite-region'."
   (interactive)
   (unless (lookup-entry-content-visible-p)
     (lookup-entry-display-content))
-  (let* ((entry (lookup-entry-current-line-entry))
-	 (dictionary (lookup-entry-dictionary entry))
-	 (style (or (lookup-dictionary-option dictionary 'cite-style t)
-		    lookup-cite-style))
-	 (header (or (lookup-dictionary-option dictionary 'cite-header t)
-		     lookup-cite-header))
-	 (prefix (or (lookup-dictionary-option dictionary 'cite-prefix t)
-		     lookup-cite-prefix)))
-    (if (symbolp style)
-	(setq style (or (lookup-assq-ref lookup-entry-default-policies style)
-			(error "Invalid cite style: %s" style))))
-    (with-temp-buffer
-      (let ((lookup-gaiji-style (or (lookup-assq-ref style 'gaiji)
-				    'alternate)))
-	;; xxx: vse $B$NFbIt4X?t$rD>@\8F$S=P$7!#<jH4$-$#!&!&(B